Debian Bug report logs - #676515
linux-2.6: AppArmor totally broken

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: intrigeri@debian.org

Date: Thu, 7 Jun 2012 13:36:21 UTC

Severity: normal

Tags: patch

Found in version 3.2.19-1

Fixed in version linux/3.2.21-3

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, john.johansen@canonical.com, kees@debian.org, micah@riseup.net, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Thu, 07 Jun 2012 13:36:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri@debian.org:
New Bug report received and forwarded. Copy sent to john.johansen@canonical.com, kees@debian.org, micah@riseup.net, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Jun 2012 13:36:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: intrigeri@debian.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: AppArmor totally broken
Date: Thu, 07 Jun 2012 15:35:26 +0200
Package: linux-2.6
Severity: normal
Version: 3.2.19-1
Tags: patch
X-Debbugs-CC: john.johansen@canonical.com, kees@debian.org, micah@riseup.net

Hi,

the AppArmor compatibility patch applied to fix #661151
totally breaks AppArmor support; this is a regression.
Details: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=661151#83

Applying the "AppArmor: compatibility patch for v5 network controll"
on top of the already applied one fixes the problem for me.
I did test with the patch that can be found there:
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-precise.git;a=commit;h=d253e5fb4a6b552e7cd2a3c80934ab4f92faec97

Please consider applying this network compatibility patch,
not only to fix this regression,
but also to get us working network mediation.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Thu, 07 Jun 2012 14:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Jun 2012 14:39:08 GMT) Full text and rfc822 format available.

Message #10 received at 676515@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: intrigeri@debian.org, john.johansen@canonical.com
Cc: 676515@bugs.debian.org
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Thu, 07 Jun 2012 15:34:41 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2012-06-07 at 15:35 +0200, intrigeri@debian.org wrote:
> Package: linux-2.6
> Severity: normal
> Version: 3.2.19-1
> Tags: patch
> X-Debbugs-CC: john.johansen@canonical.com, kees@debian.org, micah@riseup.net
> 
> Hi,
> 
> the AppArmor compatibility patch applied to fix #661151
> totally breaks AppArmor support; this is a regression.
> Details: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=661151#83
> 
> Applying the "AppArmor: compatibility patch for v5 network controll"
> on top of the already applied one fixes the problem for me.
> I did test with the patch that can be found there:
> http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-precise.git;a=commit;h=d253e5fb4a6b552e7cd2a3c80934ab4f92faec97
> 
> Please consider applying this network compatibility patch,
> not only to fix this regression,
> but also to get us working network mediation.

So these independent patches really aren't... or else userland gets
confused if we apply just the one.

Looking at the network controller patch:

> --- a/security/apparmor/lsm.c
> +++ b/security/apparmor/lsm.c
[...]
> @@ -621,6 +622,104 @@ static int apparmor_task_setrlimit(struct task_struct *task,
>  	return error;
>  }
>  
> +static int apparmor_socket_create(int family, int type, int protocol, int kern)
> +{
> +	struct aa_profile *profile;
> +	int error = 0;
> +
> +	if (kern)
> +		return 0;

If we don't want to restrict sockets used by the kernel, don't we need
to store the kern flag for later use by aa_revalidate_sk()?

> +	profile = __aa_current_profile();
> +	if (!unconfined(profile))
> +		error = aa_net_perm(OP_CREATE, profile, family, type, protocol,
> +				    NULL);
> +	return error;
> +}
[...]
> --- /dev/null
> +++ b/security/apparmor/net.c
[...]
> +static int audit_net(struct aa_profile *profile, int op, u16 family, int type,
> +		     int protocol, struct sock *sk, int error)
> +{
[...]
> +	} else {
> +		u16 quiet_mask = profile->net.quiet[sa.u.net.family];
> +		u16 kill_mask = 0;
> +		u16 denied = (1 << sa.aad.net.type) & ~quiet_mask;
> +
> +		if (denied & kill_mask)
> +			audit_type = AUDIT_APPARMOR_KILL;
> +
> +		if ((denied & quiet_mask) &&

Since denied has already been masked with ~quiet_mask, this condition
can never be true.

> +		    AUDIT_MODE(profile) != AUDIT_NOQUIET &&
> +		    AUDIT_MODE(profile) != AUDIT_ALL)
> +			return COMPLAIN_MODE(profile) ? 0 : sa.aad.error;
> +	}
> +
> +	return aa_audit(audit_type, profile, GFP_KERNEL, &sa, audit_cb);
> +}
[...]
> +/**
> + * aa_revalidate_sk - Revalidate access to a sock
> + * @op: operation being checked
> + * @sk: sock being revalidated  (NOT NULL)
> + *
> + * Returns: %0 else error if permission denied
> + */
> +int aa_revalidate_sk(int op, struct sock *sk)
> +{
> +	struct aa_profile *profile;
> +	int error = 0;
> +
> +	/* aa_revalidate_sk should not be called from interrupt context
> +	 * don't mediate these calls as they are not task related
> +	 */
> +	if (in_interrupt())
> +		return 0;

I wonder why this is being checked at all.

> +	profile = __aa_current_profile();
> +	if (!unconfined(profile))
> +		error = aa_net_perm(op, profile, sk->sk_family, sk->sk_type,
> +				    sk->sk_protocol, sk);
> +
> +	return error;
> +}
[...]

Ben.

-- 
Ben Hutchings
I haven't lost my mind; it's backed up on tape somewhere.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Thu, 07 Jun 2012 14:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Jun 2012 14:39:11 GMT) Full text and rfc822 format available.

Message #15 received at 676515@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: intrigeri@debian.org, john.johansen@canonical.com
Cc: 676515@bugs.debian.org
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Thu, 07 Jun 2012 15:36:43 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2012-06-07 at 15:34 +0100, Ben Hutchings wrote:
> On Thu, 2012-06-07 at 15:35 +0200, intrigeri@debian.org wrote:
[...]
> Looking at the network controller patch:
> 
> > --- a/security/apparmor/lsm.c
> > +++ b/security/apparmor/lsm.c
> [...]
> > @@ -621,6 +622,104 @@ static int apparmor_task_setrlimit(struct task_struct *task,
> >  	return error;
> >  }
> >  
> > +static int apparmor_socket_create(int family, int type, int protocol, int kern)
> > +{
> > +	struct aa_profile *profile;
> > +	int error = 0;
> > +
> > +	if (kern)
> > +		return 0;
> 
> If we don't want to restrict sockets used by the kernel, don't we need
> to store the kern flag for later use by aa_revalidate_sk()?
[...]

Certainly that's what SELinux does (in the socket_post_create hook).

Ben.

-- 
Ben Hutchings
I haven't lost my mind; it's backed up on tape somewhere.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Thu, 07 Jun 2012 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Johansen <john.johansen@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Jun 2012 16:48:03 GMT) Full text and rfc822 format available.

Message #20 received at 676515@bugs.debian.org (full text, mbox):

From: John Johansen <john.johansen@canonical.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: intrigeri@debian.org, 676515@bugs.debian.org
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Thu, 07 Jun 2012 09:45:36 -0700
On 06/07/2012 07:34 AM, Ben Hutchings wrote:
> On Thu, 2012-06-07 at 15:35 +0200, intrigeri@debian.org wrote:
>> Package: linux-2.6
>> Severity: normal
>> Version: 3.2.19-1
>> Tags: patch
>> X-Debbugs-CC: john.johansen@canonical.com, kees@debian.org, micah@riseup.net
>>
>> Hi,
>>
>> the AppArmor compatibility patch applied to fix #661151
>> totally breaks AppArmor support; this is a regression.
>> Details: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=661151#83
>>
>> Applying the "AppArmor: compatibility patch for v5 network controll"
>> on top of the already applied one fixes the problem for me.
>> I did test with the patch that can be found there:
>> http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-precise.git;a=commit;h=d253e5fb4a6b552e7cd2a3c80934ab4f92faec97
>>
>> Please consider applying this network compatibility patch,
>> not only to fix this regression,
>> but also to get us working network mediation.
> 
> So these independent patches really aren't... or else userland gets
> confused if we apply just the one.
> 
Hrmmm, no they should be. That is a bug in userland that needs to be
fixed. I do know that they used to work when applied separately. It
certainly not a configuration that gets a lot of testing, but it
should have worked. I will look into it and figure out what is causing
it to break.

> Looking at the network controller patch:
> 
>> --- a/security/apparmor/lsm.c
>> +++ b/security/apparmor/lsm.c
> [...]
>> @@ -621,6 +622,104 @@ static int apparmor_task_setrlimit(struct task_struct *task,
>>  	return error;
>>  }
>>  
>> +static int apparmor_socket_create(int family, int type, int protocol, int kern)
>> +{
>> +	struct aa_profile *profile;
>> +	int error = 0;
>> +
>> +	if (kern)
>> +		return 0;
> 
> If we don't want to restrict sockets used by the kernel, don't we need
> to store the kern flag for later use by aa_revalidate_sk()?
> 
For how apparmor is generally deployed it can get away with this, the
kernel bits generally bail out earlier on the check for unconfined.

That is not to say it isn't a good idea, or that it shouldn't be done.
The fact is this patch is going to be replaced with completely rewritten
controls, that do store info on the socket, it just hasn't happened yet
due to resources and priorities (not my priorities).

>> +	profile = __aa_current_profile();
>> +	if (!unconfined(profile))
>> +		error = aa_net_perm(OP_CREATE, profile, family, type, protocol,
>> +				    NULL);
>> +	return error;
>> +}
> [...]
>> --- /dev/null
>> +++ b/security/apparmor/net.c
> [...]
>> +static int audit_net(struct aa_profile *profile, int op, u16 family, int type,
>> +		     int protocol, struct sock *sk, int error)
>> +{
> [...]
>> +	} else {
>> +		u16 quiet_mask = profile->net.quiet[sa.u.net.family];
>> +		u16 kill_mask = 0;
>> +		u16 denied = (1 << sa.aad.net.type) & ~quiet_mask;
>> +
>> +		if (denied & kill_mask)
>> +			audit_type = AUDIT_APPARMOR_KILL;
>> +
>> +		if ((denied & quiet_mask) &&
> 
> Since denied has already been masked with ~quiet_mask, this condition
> can never be true.
> 
indeed

>> +		    AUDIT_MODE(profile) != AUDIT_NOQUIET &&
>> +		    AUDIT_MODE(profile) != AUDIT_ALL)
>> +			return COMPLAIN_MODE(profile) ? 0 : sa.aad.error;
>> +	}
>> +
>> +	return aa_audit(audit_type, profile, GFP_KERNEL, &sa, audit_cb);
>> +}
> [...]
>> +/**
>> + * aa_revalidate_sk - Revalidate access to a sock
>> + * @op: operation being checked
>> + * @sk: sock being revalidated  (NOT NULL)
>> + *
>> + * Returns: %0 else error if permission denied
>> + */
>> +int aa_revalidate_sk(int op, struct sock *sk)
>> +{
>> +	struct aa_profile *profile;
>> +	int error = 0;
>> +
>> +	/* aa_revalidate_sk should not be called from interrupt context
>> +	 * don't mediate these calls as they are not task related
>> +	 */
>> +	if (in_interrupt())
>> +		return 0;
> 
> I wonder why this is being checked at all.
> 
Good question, I will have to dig into it.

>> +	profile = __aa_current_profile();
>> +	if (!unconfined(profile))
>> +		error = aa_net_perm(op, profile, sk->sk_family, sk->sk_type,
>> +				    sk->sk_protocol, sk);
>> +
>> +	return error;
>> +}
> [...]
> 
> Ben.
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Fri, 15 Jun 2012 20:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jun 2012 20:42:04 GMT) Full text and rfc822 format available.

Message #25 received at 676515@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: John Johansen <john.johansen@canonical.com>
Cc: 676515@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Kees Cook <kees@debian.org>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Fri, 15 Jun 2012 22:38:41 +0200
Hi John, Ben and all other involved ones,

I'd like to see this moving forward, since the Wheezy freeze is coming
soon. See bellow explicit questions.

John Johansen wrote (07 Jun 2012 16:45:36 GMT) :
> On 06/07/2012 07:34 AM, Ben Hutchings wrote:

>> If we don't want to restrict sockets used by the kernel, don't we need
>> to store the kern flag for later use by aa_revalidate_sk()?
>> 
> For how apparmor is generally deployed it can get away with this, the
> kernel bits generally bail out earlier on the check for unconfined.

> That is not to say it isn't a good idea, or that it shouldn't be done.
> The fact is this patch is going to be replaced with completely rewritten
> controls, that do store info on the socket, it just hasn't happened yet
> due to resources and priorities (not my priorities).

Ben, is this a blocker?

>> Since denied has already been masked with ~quiet_mask, this condition
>> can never be true.
>> 
> indeed

Ben, is this a blocker?

>>> +	/* aa_revalidate_sk should not be called from interrupt context
>>> +	 * don't mediate these calls as they are not task related
>>> +	 */
>>> +	if (in_interrupt())
>>> +		return 0;
>> 
>> I wonder why this is being checked at all.
>> 
> Good question, I will have to dig into it.

John, have you had a chance to?

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Sat, 16 Jun 2012 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jun 2012 00:12:03 GMT) Full text and rfc822 format available.

Message #30 received at 676515@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: intrigeri <intrigeri@boum.org>
Cc: John Johansen <john.johansen@canonical.com>, 676515@bugs.debian.org, Kees Cook <kees@debian.org>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Sat, 16 Jun 2012 01:08:55 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2012-06-15 at 22:38 +0200, intrigeri wrote:
> Hi John, Ben and all other involved ones,
> 
> I'd like to see this moving forward, since the Wheezy freeze is coming
> soon. See bellow explicit questions.

Me too; thanks for the mail.

> John Johansen wrote (07 Jun 2012 16:45:36 GMT) :
> > On 06/07/2012 07:34 AM, Ben Hutchings wrote:
> 
> >> If we don't want to restrict sockets used by the kernel, don't we need
> >> to store the kern flag for later use by aa_revalidate_sk()?
> >> 
> > For how apparmor is generally deployed it can get away with this, the
> > kernel bits generally bail out earlier on the check for unconfined.
> 
> > That is not to say it isn't a good idea, or that it shouldn't be done.
> > The fact is this patch is going to be replaced with completely rewritten
> > controls, that do store info on the socket, it just hasn't happened yet
> > due to resources and priorities (not my priorities).
> 
> Ben, is this a blocker?

I want to be convinced that this is not a bug, or else get a fix for it.

> >> Since denied has already been masked with ~quiet_mask, this condition
> >> can never be true.
> >> 
> > indeed
> 
> Ben, is this a blocker?
[...]

This clearly is a bug and I want to be convinced that it is harmless or
else get a fix for it.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Sun, 17 Jun 2012 19:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Johansen <john.johansen@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jun 2012 19:09:08 GMT) Full text and rfc822 format available.

Message #35 received at 676515@bugs.debian.org (full text, mbox):

From: John Johansen <john.johansen@canonical.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: intrigeri <intrigeri@boum.org>, 676515@bugs.debian.org, Kees Cook <kees@debian.org>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Sun, 17 Jun 2012 12:08:20 -0700
On 06/15/2012 05:08 PM, Ben Hutchings wrote:
> On Fri, 2012-06-15 at 22:38 +0200, intrigeri wrote:
>> Hi John, Ben and all other involved ones,
>>
>> I'd like to see this moving forward, since the Wheezy freeze is coming
>> soon. See bellow explicit questions.
> 
> Me too; thanks for the mail.
> 
>> John Johansen wrote (07 Jun 2012 16:45:36 GMT) :
>>> On 06/07/2012 07:34 AM, Ben Hutchings wrote:
>>
>>>> If we don't want to restrict sockets used by the kernel, don't we need
>>>> to store the kern flag for later use by aa_revalidate_sk()?
>>>>
>>> For how apparmor is generally deployed it can get away with this, the
>>> kernel bits generally bail out earlier on the check for unconfined.
>>
>>> That is not to say it isn't a good idea, or that it shouldn't be done.
>>> The fact is this patch is going to be replaced with completely rewritten
>>> controls, that do store info on the socket, it just hasn't happened yet
>>> due to resources and priorities (not my priorities).
>>
>> Ben, is this a blocker?
> 
> I want to be convinced that this is not a bug, or else get a fix for it.
> 
I am looking at the kernel bits here, but I don't have a patch yet

>>>> Since denied has already been masked with ~quiet_mask, this condition
>>>> can never be true.
>>>>
>>> indeed
>>
>> Ben, is this a blocker?
> [...]
> 
> This clearly is a bug and I want to be convinced that it is harmless or
> else get a fix for it.
> 
Right this breaks the controls over quieting of denial messages. Basically
if policy specifies a reject should not be logged then the global controls
that turn quieting off so that all rejects get logged aren't working for
networking.

This is an easy patch that I can provide separately or with the patch I
am working on for the larger issue.

I have also been looking into why the regression is happening, it actually
looks to be in the userspace caching of compiled policy. I can run the
same basic profile loads on ubuntu with a kernel that only has the single
interface patch applied and it works. So its just a matter of tracking
down which patches are needed now.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Sat, 23 Jun 2012 18:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Jun 2012 18:57:09 GMT) Full text and rfc822 format available.

Message #40 received at 676515@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: John Johansen <john.johansen@canonical.com>
Cc: 676515@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Kees Cook <kees@debian.org>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Sat, 23 Jun 2012 20:53:50 +0200
Hi John,

John Johansen wrote (17 Jun 2012 19:08:20 GMT) :
> On 06/15/2012 05:08 PM, Ben Hutchings wrote:
>>>
>>>>> If we don't want to restrict sockets used by the kernel, don't we need
>>>>> to store the kern flag for later use by aa_revalidate_sk()?
>>>>>
>>>> For how apparmor is generally deployed it can get away with this, the
>>>> kernel bits generally bail out earlier on the check for unconfined.
>>>
>>>> That is not to say it isn't a good idea, or that it shouldn't be done.
>>>> The fact is this patch is going to be replaced with completely rewritten
>>>> controls, that do store info on the socket, it just hasn't happened yet
>>>> due to resources and priorities (not my priorities).
>>>
>>> Ben, is this a blocker?
>> 
>> I want to be convinced that this is not a bug, or else get a fix for it.
>> 
> I am looking at the kernel bits here, but I don't have a patch yet

Do you think you'll manage to do it in time for the Wheezy freeze
(June 30th)?

>>>>> Since denied has already been masked with ~quiet_mask, this condition
>>>>> can never be true.
>>>>>
>>>> indeed
>>>
>>> Ben, is this a blocker?
>> [...]
>> 
>> This clearly is a bug and I want to be convinced that it is harmless or
>> else get a fix for it.
>> 
> Right this breaks the controls over quieting of denial messages. Basically
> if policy specifies a reject should not be logged then the global controls
> that turn quieting off so that all rejects get logged aren't working for
> networking.

> This is an easy patch that I can provide separately or with the
> patch I am working on for the larger issue.

Do you think you'll manage to prepare at least the easy fix it in time
for the Wheezy freeze?

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Sat, 23 Jun 2012 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Jun 2012 19:03:05 GMT) Full text and rfc822 format available.

Message #45 received at 676515@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: intrigeri <intrigeri@boum.org>
Cc: John Johansen <john.johansen@canonical.com>, 676515@bugs.debian.org, Kees Cook <kees@debian.org>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Sat, 23 Jun 2012 20:02:06 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2012-06-23 at 20:53 +0200, intrigeri wrote:
> Hi John,
> 
> John Johansen wrote (17 Jun 2012 19:08:20 GMT) :
> > On 06/15/2012 05:08 PM, Ben Hutchings wrote:
> >>>
> >>>>> If we don't want to restrict sockets used by the kernel, don't we need
> >>>>> to store the kern flag for later use by aa_revalidate_sk()?
> >>>>>
> >>>> For how apparmor is generally deployed it can get away with this, the
> >>>> kernel bits generally bail out earlier on the check for unconfined.
> >>>
> >>>> That is not to say it isn't a good idea, or that it shouldn't be done.
> >>>> The fact is this patch is going to be replaced with completely rewritten
> >>>> controls, that do store info on the socket, it just hasn't happened yet
> >>>> due to resources and priorities (not my priorities).
> >>>
> >>> Ben, is this a blocker?
> >> 
> >> I want to be convinced that this is not a bug, or else get a fix for it.
> >> 
> > I am looking at the kernel bits here, but I don't have a patch yet
> 
> Do you think you'll manage to do it in time for the Wheezy freeze
> (June 30th)?
[...]

What is it that you think will happen at the freeze?  We stop fixing all
bugs and do nothing for the next few months?

Ben.

-- 
Ben Hutchings
The program is absolutely right; therefore, the computer must be wrong.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Sat, 23 Jun 2012 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Jun 2012 19:33:03 GMT) Full text and rfc822 format available.

Message #50 received at 676515@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: John Johansen <john.johansen@canonical.com>, 676515@bugs.debian.org, Kees Cook <kees@debian.org>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Sat, 23 Jun 2012 21:30:00 +0200
Hi,

Ben Hutchings wrote (23 Jun 2012 19:02:06 GMT) :
> What is it that you think will happen at the freeze? We stop fixing
> all bugs and do nothing for the next few months?

Of course, and we'll lazily eat lots of icecream while you work hard
to release many shiny new Linux 3.2.x :)

Irony set aside, I believe there are two different ways of fixing this
bug:

  - Either by fixing the actual regression directly, without applying
    the network control patch: it seems clear to me that this can
    happen after the freeze. So far, so good.

  - Or by applying the AppArmor network control patch, in an improved
    version that John is apparently working on; this would be my
    preferred solution. But, given it would be a feature addition,
    rather than being merely a minimal bugfix, I'm not too sure it
    would be fit for a freeze exception. Hence my gentle pressuring on
    John to get this done before the freeze.

Feel free to correct me if my understanding of the situation is wrong.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Sat, 23 Jun 2012 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Johansen <john.johansen@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Jun 2012 20:42:03 GMT) Full text and rfc822 format available.

Message #55 received at 676515@bugs.debian.org (full text, mbox):

From: John Johansen <john.johansen@canonical.com>
To: intrigeri <intrigeri@boum.org>
Cc: 676515@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Kees Cook <kees@debian.org>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Sat, 23 Jun 2012 13:39:19 -0700
On 06/23/2012 11:53 AM, intrigeri wrote:
> Hi John,
> 
> John Johansen wrote (17 Jun 2012 19:08:20 GMT) :
>> On 06/15/2012 05:08 PM, Ben Hutchings wrote:
>>>>
>>>>>> If we don't want to restrict sockets used by the kernel, don't we need
>>>>>> to store the kern flag for later use by aa_revalidate_sk()?
>>>>>>
>>>>> For how apparmor is generally deployed it can get away with this, the
>>>>> kernel bits generally bail out earlier on the check for unconfined.
>>>>
>>>>> That is not to say it isn't a good idea, or that it shouldn't be done.
>>>>> The fact is this patch is going to be replaced with completely rewritten
>>>>> controls, that do store info on the socket, it just hasn't happened yet
>>>>> due to resources and priorities (not my priorities).
>>>>
>>>> Ben, is this a blocker?
>>>
>>> I want to be convinced that this is not a bug, or else get a fix for it.
>>>
>> I am looking at the kernel bits here, but I don't have a patch yet
> 
> Do you think you'll manage to do it in time for the Wheezy freeze
> (June 30th)?
> 
Yes for the don't mediate kernel sockets tagging, and the quiet masking.

The check if in interrupt context I am not comfortable removing yet and it
will have to wait for the full new networking patches.

>>>>>> Since denied has already been masked with ~quiet_mask, this condition
>>>>>> can never be true.
>>>>>>
>>>>> indeed
>>>>
>>>> Ben, is this a blocker?
>>> [...]
>>>
>>> This clearly is a bug and I want to be convinced that it is harmless or
>>> else get a fix for it.
>>>
>> Right this breaks the controls over quieting of denial messages. Basically
>> if policy specifies a reject should not be logged then the global controls
>> that turn quieting off so that all rejects get logged aren't working for
>> networking.
> 
>> This is an easy patch that I can provide separately or with the
>> patch I am working on for the larger issue.
> 
> Do you think you'll manage to prepare at least the easy fix it in time
> for the Wheezy freeze?
> 
Yes I should have something for you by the end of the weekend if not sooner




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Sat, 23 Jun 2012 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Johansen <john.johansen@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Jun 2012 20:45:03 GMT) Full text and rfc822 format available.

Message #60 received at 676515@bugs.debian.org (full text, mbox):

From: John Johansen <john.johansen@canonical.com>
To: intrigeri <intrigeri@boum.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 676515@bugs.debian.org, Kees Cook <kees@debian.org>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Sat, 23 Jun 2012 13:41:23 -0700
On 06/23/2012 12:30 PM, intrigeri wrote:
> Hi,
> 
> Ben Hutchings wrote (23 Jun 2012 19:02:06 GMT) :
>> What is it that you think will happen at the freeze? We stop fixing
>> all bugs and do nothing for the next few months?
> 
> Of course, and we'll lazily eat lots of icecream while you work hard
> to release many shiny new Linux 3.2.x :)
> 
> Irony set aside, I believe there are two different ways of fixing this
> bug:
> 
>   - Either by fixing the actual regression directly, without applying
>     the network control patch: it seems clear to me that this can
>     happen after the freeze. So far, so good.
> 
>   - Or by applying the AppArmor network control patch, in an improved
>     version that John is apparently working on; this would be my
>     preferred solution. But, given it would be a feature addition,
>     rather than being merely a minimal bugfix, I'm not too sure it
>     would be fit for a freeze exception. Hence my gentle pressuring on
>     John to get this done before the freeze.
> 
> Feel free to correct me if my understanding of the situation is wrong.
> 
To be clear the network stuff I am working on for wheezy is 2 patches to
the current networking patch. The larger networking rewrite is not ready
yet and even if I could get it done in time I would not feel comfortable
pushing that in to wheezy as it would be at best early beta quality






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Tue, 26 Jun 2012 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Johansen <john.johansen@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Jun 2012 17:51:03 GMT) Full text and rfc822 format available.

Message #65 received at 676515@bugs.debian.org (full text, mbox):

From: John Johansen <john.johansen@canonical.com>
To: intrigeri <intrigeri@boum.org>
Cc: 676515@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Kees Cook <kees@debian.org>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Tue, 26 Jun 2012 10:48:38 -0700
[Message part 1 (text/plain, inline)]
On 06/23/2012 11:53 AM, intrigeri wrote:
> Hi John,
> 
> John Johansen wrote (17 Jun 2012 19:08:20 GMT) :
>> On 06/15/2012 05:08 PM, Ben Hutchings wrote:
>>>>
>>>>>> If we don't want to restrict sockets used by the kernel, don't we need
>>>>>> to store the kern flag for later use by aa_revalidate_sk()?
>>>>>>
>>>>> For how apparmor is generally deployed it can get away with this, the
>>>>> kernel bits generally bail out earlier on the check for unconfined.
>>>>
>>>>> That is not to say it isn't a good idea, or that it shouldn't be done.
>>>>> The fact is this patch is going to be replaced with completely rewritten
>>>>> controls, that do store info on the socket, it just hasn't happened yet
>>>>> due to resources and priorities (not my priorities).
>>>>
>>>> Ben, is this a blocker?
>>>
>>> I want to be convinced that this is not a bug, or else get a fix for it.
>>>
>> I am looking at the kernel bits here, but I don't have a patch yet
> 
> Do you think you'll manage to do it in time for the Wheezy freeze
> (June 30th)?
> 
>>>>>> Since denied has already been masked with ~quiet_mask, this condition
>>>>>> can never be true.
>>>>>>
>>>>> indeed
>>>>
>>>> Ben, is this a blocker?
>>> [...]
>>>
>>> This clearly is a bug and I want to be convinced that it is harmless or
>>> else get a fix for it.
>>>
>> Right this breaks the controls over quieting of denial messages. Basically
>> if policy specifies a reject should not be logged then the global controls
>> that turn quieting off so that all rejects get logged aren't working for
>> networking.
> 
>> This is an easy patch that I can provide separately or with the
>> patch I am working on for the larger issue.
> 
> Do you think you'll manage to prepare at least the easy fix it in time
> for the Wheezy freeze?
> 

Okay, there are 4 kernel patches, not all of them are needed depending on whether
the network patch is applied or not.

If you don't want to apply the networking patch
  0001-apparmor-remove-advertising-the-support-of-network-r.patch

  Stops the kernel interface from incorrectly advertising that it supports network
  rules. A further patch (not attached) to userspace will also have to be applied

If the networking patch is applied
  these two patches can be applied or ignored, 0001 will be folded into the compat
  interface patch upstream, and then 0002 will be folded into the networking patch
  0001-apparmor-remove-advertising-the-support-of-network-r.patch
  0002-apparmor-Advertise-network-mediation-from-the-compat.patch

  these two patches address the two bugs pointed out in the networking patch
  0003-apparmor-Fix-quieting-of-audit-messages-for-network-.patch
  0004-apparmor-Ensure-apparmor-does-not-mediate-kernel-bas.patch
[0001-apparmor-remove-advertising-the-support-of-network-r.patch (text/x-patch, attachment)]
[0002-apparmor-Advertise-network-mediation-from-the-compat.patch (text/x-patch, attachment)]
[0003-apparmor-Fix-quieting-of-audit-messages-for-network-.patch (text/x-patch, attachment)]
[0004-apparmor-Ensure-apparmor-does-not-mediate-kernel-bas.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Tue, 26 Jun 2012 18:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Jun 2012 18:30:11 GMT) Full text and rfc822 format available.

Message #70 received at 676515@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@ubuntu.com>
To: John Johansen <john.johansen@canonical.com>
Cc: intrigeri <intrigeri@boum.org>, 676515@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Tue, 26 Jun 2012 11:27:26 -0700
Hi John,

On Tue, Jun 26, 2012 at 10:48:38AM -0700, John Johansen wrote:
> On 06/23/2012 11:53 AM, intrigeri wrote:
> > John Johansen wrote (17 Jun 2012 19:08:20 GMT) :
> >> On 06/15/2012 05:08 PM, Ben Hutchings wrote:
> >>>>
> >>>>>> If we don't want to restrict sockets used by the kernel, don't we need
> >>>>>> to store the kern flag for later use by aa_revalidate_sk()?
> >>>>>>
> >>>>> For how apparmor is generally deployed it can get away with this, the
> >>>>> kernel bits generally bail out earlier on the check for unconfined.
> >>>>
> >>>>> That is not to say it isn't a good idea, or that it shouldn't be done.
> >>>>> The fact is this patch is going to be replaced with completely rewritten
> >>>>> controls, that do store info on the socket, it just hasn't happened yet
> >>>>> due to resources and priorities (not my priorities).
> >>>>
> >>>> Ben, is this a blocker?
> >>>
> >>> I want to be convinced that this is not a bug, or else get a fix for it.
> >>>
> >> I am looking at the kernel bits here, but I don't have a patch yet
> > 
> > Do you think you'll manage to do it in time for the Wheezy freeze
> > (June 30th)?
> > 
> >>>>>> Since denied has already been masked with ~quiet_mask, this condition
> >>>>>> can never be true.
> >>>>>>
> >>>>> indeed
> >>>>
> >>>> Ben, is this a blocker?
> >>> [...]
> >>>
> >>> This clearly is a bug and I want to be convinced that it is harmless or
> >>> else get a fix for it.
> >>>
> >> Right this breaks the controls over quieting of denial messages. Basically
> >> if policy specifies a reject should not be logged then the global controls
> >> that turn quieting off so that all rejects get logged aren't working for
> >> networking.
> > 
> >> This is an easy patch that I can provide separately or with the
> >> patch I am working on for the larger issue.
> > 
> > Do you think you'll manage to prepare at least the easy fix it in time
> > for the Wheezy freeze?
> > 
> 
> Okay, there are 4 kernel patches, not all of them are needed depending on whether
> the network patch is applied or not.
> 
> If you don't want to apply the networking patch
>   0001-apparmor-remove-advertising-the-support-of-network-r.patch
> 
>   Stops the kernel interface from incorrectly advertising that it supports network
>   rules. A further patch (not attached) to userspace will also have to be applied
> 
> If the networking patch is applied
>   these two patches can be applied or ignored, 0001 will be folded into the compat
>   interface patch upstream, and then 0002 will be folded into the networking patch
>   0001-apparmor-remove-advertising-the-support-of-network-r.patch
>   0002-apparmor-Advertise-network-mediation-from-the-compat.patch
> 
>   these two patches address the two bugs pointed out in the networking patch
>   0003-apparmor-Fix-quieting-of-audit-messages-for-network-.patch
>   0004-apparmor-Ensure-apparmor-does-not-mediate-kernel-bas.patch

My preference would be to apply the networking patch, along with 0003
and 0004 posted here.

-Kees

-- 
Kees Cook




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#676515; Package linux-2.6. (Wed, 27 Jun 2012 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 27 Jun 2012 02:54:03 GMT) Full text and rfc822 format available.

Message #75 received at 676515@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Kees Cook <kees@ubuntu.com>
Cc: John Johansen <john.johansen@canonical.com>, intrigeri <intrigeri@boum.org>, 676515@bugs.debian.org, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#676515: linux-2.6: AppArmor totally broken
Date: Wed, 27 Jun 2012 03:51:44 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2012-06-26 at 11:27 -0700, Kees Cook wrote:
> Hi John,
> 
> On Tue, Jun 26, 2012 at 10:48:38AM -0700, John Johansen wrote:
[...]
> > Okay, there are 4 kernel patches, not all of them are needed depending on whether
> > the network patch is applied or not.
> > 
> > If you don't want to apply the networking patch
> >   0001-apparmor-remove-advertising-the-support-of-network-r.patch
> > 
> >   Stops the kernel interface from incorrectly advertising that it supports network
> >   rules. A further patch (not attached) to userspace will also have to be applied
> > 
> > If the networking patch is applied
> >   these two patches can be applied or ignored, 0001 will be folded into the compat
> >   interface patch upstream, and then 0002 will be folded into the networking patch
> >   0001-apparmor-remove-advertising-the-support-of-network-r.patch
> >   0002-apparmor-Advertise-network-mediation-from-the-compat.patch
> > 
> >   these two patches address the two bugs pointed out in the networking patch
> >   0003-apparmor-Fix-quieting-of-audit-messages-for-network-.patch
> >   0004-apparmor-Ensure-apparmor-does-not-mediate-kernel-bas.patch
> 
> My preference would be to apply the networking patch, along with 0003
> and 0004 posted here.

Patches 3 and 4 address my concerns about the basic sanity of the
networking interface, though I still have no idea whether it is actually
usable it to enforce a useful security policy.

What I think I failed to notice, though, is that AppArmor in mainline
does haven't implement any networking control.  We were originally asked
to provide a compatibility interface only, not to add an out-of-tree
feature, and I'm very reluctant to do the latter, so I'm afraid it's
going to be patch 1 only.

I hope that my code review was at least useful to Ubuntu.

Ben.

-- 
Ben Hutchings
Lowery's Law:
             If it jams, force it. If it breaks, it needed replacing anyway.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Wed, 27 Jun 2012 02:57:05 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 28 Jun 2012 07:24:14 GMT) Full text and rfc822 format available.

Notification sent to intrigeri@debian.org:
Bug acknowledged by developer. (Thu, 28 Jun 2012 07:24:14 GMT) Full text and rfc822 format available.

Message #82 received at 676515-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 676515-close@bugs.debian.org
Subject: Bug#676515: fixed in linux 3.2.21-3
Date: Thu, 28 Jun 2012 07:20:15 +0000
Source: linux
Source-Version: 3.2.21-3

We believe that the bug you reported is fixed in the latest version of
linux, which is due to be installed in the Debian FTP archive:

linux-doc-3.2_3.2.21-3_all.deb
  to main/l/linux/linux-doc-3.2_3.2.21-3_all.deb
linux-manual-3.2_3.2.21-3_all.deb
  to main/l/linux/linux-manual-3.2_3.2.21-3_all.deb
linux-source-3.2_3.2.21-3_all.deb
  to main/l/linux/linux-source-3.2_3.2.21-3_all.deb
linux-support-3.2.0-3_3.2.21-3_all.deb
  to main/l/linux/linux-support-3.2.0-3_3.2.21-3_all.deb
linux_3.2.21-3.debian.tar.xz
  to main/l/linux/linux_3.2.21-3.debian.tar.xz
linux_3.2.21-3.dsc
  to main/l/linux/linux_3.2.21-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676515@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 28 Jun 2012 04:58:18 +0100
Source: linux
Binary: linux-source-3.2 linux-doc-3.2 linux-manual-3.2 linux-support-3.2.0-3 linux-libc-dev linux-headers-3.2.0-3-all linux-headers-3.2.0-3-all-alpha linux-headers-3.2.0-3-common linux-image-3.2.0-3-alpha-generic linux-headers-3.2.0-3-alpha-generic linux-image-3.2.0-3-alpha-smp linux-headers-3.2.0-3-alpha-smp linux-image-3.2.0-3-alpha-legacy linux-headers-3.2.0-3-alpha-legacy linux-headers-3.2.0-3-all-amd64 kernel-image-3.2.0-3-amd64-di nic-modules-3.2.0-3-amd64-di nic-extra-modules-3.2.0-3-amd64-di nic-wireless-modules-3.2.0-3-amd64-di nic-shared-modules-3.2.0-3-amd64-di serial-modules-3.2.0-3-amd64-di usb-serial-modules-3.2.0-3-amd64-di ppp-modules-3.2.0-3-amd64-di pata-modules-3.2.0-3-amd64-di cdrom-core-modules-3.2.0-3-amd64-di firewire-core-modules-3.2.0-3-amd64-di scsi-core-modules-3.2.0-3-amd64-di scsi-modules-3.2.0-3-amd64-di scsi-common-modules-3.2.0-3-amd64-di scsi-extra-modules-3.2.0-3-amd64-di plip-modules-3.2.0-3-amd64-di floppy-modules-3.2.0-3-amd64-di
 loop-modules-3.2.0-3-amd64-di btrfs-modules-3.2.0-3-amd64-di ext2-modules-3.2.0-3-amd64-di ext3-modules-3.2.0-3-amd64-di ext4-modules-3.2.0-3-amd64-di isofs-modules-3.2.0-3-amd64-di jfs-modules-3.2.0-3-amd64-di ntfs-modules-3.2.0-3-amd64-di reiserfs-modules-3.2.0-3-amd64-di xfs-modules-3.2.0-3-amd64-di fat-modules-3.2.0-3-amd64-di ufs-modules-3.2.0-3-amd64-di qnx4-modules-3.2.0-3-amd64-di md-modules-3.2.0-3-amd64-di multipath-modules-3.2.0-3-amd64-di usb-modules-3.2.0-3-amd64-di usb-storage-modules-3.2.0-3-amd64-di pcmcia-storage-modules-3.2.0-3-amd64-di fb-modules-3.2.0-3-amd64-di input-modules-3.2.0-3-amd64-di event-modules-3.2.0-3-amd64-di mouse-modules-3.2.0-3-amd64-di irda-modules-3.2.0-3-amd64-di parport-modules-3.2.0-3-amd64-di nic-pcmcia-modules-3.2.0-3-amd64-di pcmcia-modules-3.2.0-3-amd64-di nic-usb-modules-3.2.0-3-amd64-di sata-modules-3.2.0-3-amd64-di core-modules-3.2.0-3-amd64-di acpi-modules-3.2.0-3-amd64-di i2c-modules-3.2.0-3-amd64-di
 crc-modules-3.2.0-3-amd64-di crypto-modules-3.2.0-3-amd64-di crypto-dm-modules-3.2.0-3-amd64-di efi-modules-3.2.0-3-amd64-di ata-modules-3.2.0-3-amd64-di mmc-core-modules-3.2.0-3-amd64-di mmc-modules-3.2.0-3-amd64-di nbd-modules-3.2.0-3-amd64-di squashfs-modules-3.2.0-3-amd64-di speakup-modules-3.2.0-3-amd64-di virtio-modules-3.2.0-3-amd64-di uinput-modules-3.2.0-3-amd64-di sound-modules-3.2.0-3-amd64-di zlib-modules-3.2.0-3-amd64-di hyperv-modules-3.2.0-3-amd64-di udf-modules-3.2.0-3-amd64-di linux-image-3.2.0-3-amd64 linux-headers-3.2.0-3-amd64 linux-image-3.2.0-3-amd64-dbg xen-linux-system-3.2.0-3-amd64 linux-headers-3.2.0-3-common-rt linux-image-3.2.0-3-rt-amd64 linux-headers-3.2.0-3-rt-amd64 linux-image-3.2.0-3-rt-amd64-dbg linux-headers-3.2.0-3-all-armel kernel-image-3.2.0-3-iop32x-di nic-modules-3.2.0-3-iop32x-di nic-shared-modules-3.2.0-3-iop32x-di usb-serial-modules-3.2.0-3-iop32x-di ppp-modules-3.2.0-3-iop32x-di pata-modules-3.2.0-3-iop32x-di
 cdrom-core-modules-3.2.0-3-iop32x-di scsi-core-modules-3.2.0-3-iop32x-di loop-modules-3.2.0-3-iop32x-di ipv6-modules-3.2.0-3-iop32x-di btrfs-modules-3.2.0-3-iop32x-di ext2-modules-3.2.0-3-iop32x-di ext3-modules-3.2.0-3-iop32x-di ext4-modules-3.2.0-3-iop32x-di isofs-modules-3.2.0-3-iop32x-di jffs2-modules-3.2.0-3-iop32x-di jfs-modules-3.2.0-3-iop32x-di reiserfs-modules-3.2.0-3-iop32x-di fat-modules-3.2.0-3-iop32x-di md-modules-3.2.0-3-iop32x-di multipath-modules-3.2.0-3-iop32x-di usb-modules-3.2.0-3-iop32x-di usb-storage-modules-3.2.0-3-iop32x-di event-modules-3.2.0-3-iop32x-di nic-usb-modules-3.2.0-3-iop32x-di sata-modules-3.2.0-3-iop32x-di core-modules-3.2.0-3-iop32x-di crc-modules-3.2.0-3-iop32x-di crypto-modules-3.2.0-3-iop32x-di crypto-dm-modules-3.2.0-3-iop32x-di ata-modules-3.2.0-3-iop32x-di nbd-modules-3.2.0-3-iop32x-di squashfs-modules-3.2.0-3-iop32x-di zlib-modules-3.2.0-3-iop32x-di udf-modules-3.2.0-3-iop32x-di kernel-image-3.2.0-3-kirkwood-di
 nic-modules-3.2.0-3-kirkwood-di nic-shared-modules-3.2.0-3-kirkwood-di usb-serial-modules-3.2.0-3-kirkwood-di ppp-modules-3.2.0-3-kirkwood-di cdrom-core-modules-3.2.0-3-kirkwood-di scsi-core-modules-3.2.0-3-kirkwood-di loop-modules-3.2.0-3-kirkwood-di ipv6-modules-3.2.0-3-kirkwood-di btrfs-modules-3.2.0-3-kirkwood-di ext2-modules-3.2.0-3-kirkwood-di ext3-modules-3.2.0-3-kirkwood-di ext4-modules-3.2.0-3-kirkwood-di isofs-modules-3.2.0-3-kirkwood-di jfs-modules-3.2.0-3-kirkwood-di reiserfs-modules-3.2.0-3-kirkwood-di fat-modules-3.2.0-3-kirkwood-di minix-modules-3.2.0-3-kirkwood-di md-modules-3.2.0-3-kirkwood-di multipath-modules-3.2.0-3-kirkwood-di usb-modules-3.2.0-3-kirkwood-di usb-storage-modules-3.2.0-3-kirkwood-di fb-modules-3.2.0-3-kirkwood-di input-modules-3.2.0-3-kirkwood-di event-modules-3.2.0-3-kirkwood-di mouse-modules-3.2.0-3-kirkwood-di nic-usb-modules-3.2.0-3-kirkwood-di sata-modules-3.2.0-3-kirkwood-di core-modules-3.2.0-3-kirkwood-di
 crc-modules-3.2.0-3-kirkwood-di crypto-modules-3.2.0-3-kirkwood-di crypto-dm-modules-3.2.0-3-kirkwood-di mmc-modules-3.2.0-3-kirkwood-di nbd-modules-3.2.0-3-kirkwood-di squashfs-modules-3.2.0-3-kirkwood-di uinput-modules-3.2.0-3-kirkwood-di leds-modules-3.2.0-3-kirkwood-di udf-modules-3.2.0-3-kirkwood-di kernel-image-3.2.0-3-orion5x-di nic-modules-3.2.0-3-orion5x-di nic-shared-modules-3.2.0-3-orion5x-di usb-serial-modules-3.2.0-3-orion5x-di ppp-modules-3.2.0-3-orion5x-di cdrom-core-modules-3.2.0-3-orion5x-di scsi-core-modules-3.2.0-3-orion5x-di loop-modules-3.2.0-3-orion5x-di ipv6-modules-3.2.0-3-orion5x-di btrfs-modules-3.2.0-3-orion5x-di ext2-modules-3.2.0-3-orion5x-di ext3-modules-3.2.0-3-orion5x-di ext4-modules-3.2.0-3-orion5x-di isofs-modules-3.2.0-3-orion5x-di jffs2-modules-3.2.0-3-orion5x-di jfs-modules-3.2.0-3-orion5x-di reiserfs-modules-3.2.0-3-orion5x-di fat-modules-3.2.0-3-orion5x-di minix-modules-3.2.0-3-orion5x-di md-modules-3.2.0-3-orion5x-di
 multipath-modules-3.2.0-3-orion5x-di usb-modules-3.2.0-3-orion5x-di usb-storage-modules-3.2.0-3-orion5x-di event-modules-3.2.0-3-orion5x-di nic-usb-modules-3.2.0-3-orion5x-di sata-modules-3.2.0-3-orion5x-di core-modules-3.2.0-3-orion5x-di crc-modules-3.2.0-3-orion5x-di crypto-modules-3.2.0-3-orion5x-di crypto-dm-modules-3.2.0-3-orion5x-di nbd-modules-3.2.0-3-orion5x-di squashfs-modules-3.2.0-3-orion5x-di zlib-modules-3.2.0-3-orion5x-di udf-modules-3.2.0-3-orion5x-di kernel-image-3.2.0-3-versatile-di nic-modules-3.2.0-3-versatile-di nic-shared-modules-3.2.0-3-versatile-di usb-serial-modules-3.2.0-3-versatile-di ppp-modules-3.2.0-3-versatile-di cdrom-core-modules-3.2.0-3-versatile-di scsi-core-modules-3.2.0-3-versatile-di scsi-common-modules-3.2.0-3-versatile-di loop-modules-3.2.0-3-versatile-di ipv6-modules-3.2.0-3-versatile-di btrfs-modules-3.2.0-3-versatile-di ext2-modules-3.2.0-3-versatile-di ext3-modules-3.2.0-3-versatile-di ext4-modules-3.2.0-3-versatile-di
 isofs-modules-3.2.0-3-versatile-di reiserfs-modules-3.2.0-3-versatile-di fat-modules-3.2.0-3-versatile-di md-modules-3.2.0-3-versatile-di multipath-modules-3.2.0-3-versatile-di usb-modules-3.2.0-3-versatile-di usb-storage-modules-3.2.0-3-versatile-di nic-usb-modules-3.2.0-3-versatile-di sata-modules-3.2.0-3-versatile-di core-modules-3.2.0-3-versatile-di crc-modules-3.2.0-3-versatile-di crypto-modules-3.2.0-3-versatile-di crypto-dm-modules-3.2.0-3-versatile-di nbd-modules-3.2.0-3-versatile-di squashfs-modules-3.2.0-3-versatile-di virtio-modules-3.2.0-3-versatile-di zlib-modules-3.2.0-3-versatile-di udf-modules-3.2.0-3-versatile-di linux-image-3.2.0-3-iop32x linux-headers-3.2.0-3-iop32x linux-image-3.2.0-3-ixp4xx linux-headers-3.2.0-3-ixp4xx linux-image-3.2.0-3-kirkwood linux-headers-3.2.0-3-kirkwood linux-image-3.2.0-3-mv78xx0 linux-headers-3.2.0-3-mv78xx0 linux-image-3.2.0-3-orion5x linux-headers-3.2.0-3-orion5x linux-image-3.2.0-3-versatile
 linux-headers-3.2.0-3-versatile linux-headers-3.2.0-3-all-armhf kernel-image-3.2.0-3-mx5-di nic-modules-3.2.0-3-mx5-di nic-shared-modules-3.2.0-3-mx5-di scsi-core-modules-3.2.0-3-mx5-di loop-modules-3.2.0-3-mx5-di ipv6-modules-3.2.0-3-mx5-di btrfs-modules-3.2.0-3-mx5-di ext2-modules-3.2.0-3-mx5-di ext3-modules-3.2.0-3-mx5-di ext4-modules-3.2.0-3-mx5-di isofs-modules-3.2.0-3-mx5-di jfs-modules-3.2.0-3-mx5-di reiserfs-modules-3.2.0-3-mx5-di fat-modules-3.2.0-3-mx5-di minix-modules-3.2.0-3-mx5-di md-modules-3.2.0-3-mx5-di multipath-modules-3.2.0-3-mx5-di usb-storage-modules-3.2.0-3-mx5-di input-modules-3.2.0-3-mx5-di nic-usb-modules-3.2.0-3-mx5-di core-modules-3.2.0-3-mx5-di crc-modules-3.2.0-3-mx5-di crypto-modules-3.2.0-3-mx5-di crypto-dm-modules-3.2.0-3-mx5-di mmc-modules-3.2.0-3-mx5-di nbd-modules-3.2.0-3-mx5-di squashfs-modules-3.2.0-3-mx5-di uinput-modules-3.2.0-3-mx5-di udf-modules-3.2.0-3-mx5-di linux-image-3.2.0-3-mx5 linux-headers-3.2.0-3-mx5
 linux-image-3.2.0-3-omap linux-headers-3.2.0-3-omap linux-image-3.2.0-3-vexpress linux-headers-3.2.0-3-vexpress linux-headers-3.2.0-3-all-hppa kernel-image-3.2.0-3-parisc-di nic-modules-3.2.0-3-parisc-di ppp-modules-3.2.0-3-parisc-di pata-modules-3.2.0-3-parisc-di cdrom-core-modules-3.2.0-3-parisc-di scsi-core-modules-3.2.0-3-parisc-di scsi-modules-3.2.0-3-parisc-di loop-modules-3.2.0-3-parisc-di ipv6-modules-3.2.0-3-parisc-di btrfs-modules-3.2.0-3-parisc-di ext3-modules-3.2.0-3-parisc-di ext4-modules-3.2.0-3-parisc-di fat-modules-3.2.0-3-parisc-di md-modules-3.2.0-3-parisc-di multipath-modules-3.2.0-3-parisc-di usb-modules-3.2.0-3-parisc-di usb-storage-modules-3.2.0-3-parisc-di input-modules-3.2.0-3-parisc-di crypto-modules-3.2.0-3-parisc-di crypto-dm-modules-3.2.0-3-parisc-di nbd-modules-3.2.0-3-parisc-di zlib-modules-3.2.0-3-parisc-di kernel-image-3.2.0-3-parisc64-di nic-modules-3.2.0-3-parisc64-di ppp-modules-3.2.0-3-parisc64-di pata-modules-3.2.0-3-parisc64-di
 cdrom-core-modules-3.2.0-3-parisc64-di scsi-core-modules-3.2.0-3-parisc64-di scsi-modules-3.2.0-3-parisc64-di loop-modules-3.2.0-3-parisc64-di ipv6-modules-3.2.0-3-parisc64-di btrfs-modules-3.2.0-3-parisc64-di ext3-modules-3.2.0-3-parisc64-di ext4-modules-3.2.0-3-parisc64-di fat-modules-3.2.0-3-parisc64-di md-modules-3.2.0-3-parisc64-di multipath-modules-3.2.0-3-parisc64-di usb-modules-3.2.0-3-parisc64-di usb-storage-modules-3.2.0-3-parisc64-di input-modules-3.2.0-3-parisc64-di crypto-modules-3.2.0-3-parisc64-di crypto-dm-modules-3.2.0-3-parisc64-di nbd-modules-3.2.0-3-parisc64-di zlib-modules-3.2.0-3-parisc64-di linux-image-3.2.0-3-parisc linux-headers-3.2.0-3-parisc linux-image-3.2.0-3-parisc-smp linux-headers-3.2.0-3-parisc-smp linux-image-3.2.0-3-parisc64 linux-headers-3.2.0-3-parisc64 linux-image-3.2.0-3-parisc64-smp linux-headers-3.2.0-3-parisc64-smp linux-headers-3.2.0-3-all-i386 kernel-image-3.2.0-3-486-di nic-modules-3.2.0-3-486-di
 nic-extra-modules-3.2.0-3-486-di nic-wireless-modules-3.2.0-3-486-di nic-shared-modules-3.2.0-3-486-di serial-modules-3.2.0-3-486-di usb-serial-modules-3.2.0-3-486-di ppp-modules-3.2.0-3-486-di pata-modules-3.2.0-3-486-di cdrom-core-modules-3.2.0-3-486-di firewire-core-modules-3.2.0-3-486-di scsi-core-modules-3.2.0-3-486-di scsi-modules-3.2.0-3-486-di scsi-common-modules-3.2.0-3-486-di scsi-extra-modules-3.2.0-3-486-di plip-modules-3.2.0-3-486-di floppy-modules-3.2.0-3-486-di loop-modules-3.2.0-3-486-di btrfs-modules-3.2.0-3-486-di ext2-modules-3.2.0-3-486-di ext3-modules-3.2.0-3-486-di ext4-modules-3.2.0-3-486-di isofs-modules-3.2.0-3-486-di jfs-modules-3.2.0-3-486-di ntfs-modules-3.2.0-3-486-di reiserfs-modules-3.2.0-3-486-di xfs-modules-3.2.0-3-486-di fat-modules-3.2.0-3-486-di ufs-modules-3.2.0-3-486-di qnx4-modules-3.2.0-3-486-di md-modules-3.2.0-3-486-di multipath-modules-3.2.0-3-486-di usb-modules-3.2.0-3-486-di usb-storage-modules-3.2.0-3-486-di
 pcmcia-storage-modules-3.2.0-3-486-di fb-modules-3.2.0-3-486-di input-modules-3.2.0-3-486-di event-modules-3.2.0-3-486-di mouse-modules-3.2.0-3-486-di irda-modules-3.2.0-3-486-di parport-modules-3.2.0-3-486-di nic-pcmcia-modules-3.2.0-3-486-di pcmcia-modules-3.2.0-3-486-di nic-usb-modules-3.2.0-3-486-di sata-modules-3.2.0-3-486-di core-modules-3.2.0-3-486-di acpi-modules-3.2.0-3-486-di i2c-modules-3.2.0-3-486-di crc-modules-3.2.0-3-486-di crypto-modules-3.2.0-3-486-di crypto-dm-modules-3.2.0-3-486-di efi-modules-3.2.0-3-486-di ata-modules-3.2.0-3-486-di mmc-core-modules-3.2.0-3-486-di mmc-modules-3.2.0-3-486-di nbd-modules-3.2.0-3-486-di squashfs-modules-3.2.0-3-486-di speakup-modules-3.2.0-3-486-di virtio-modules-3.2.0-3-486-di uinput-modules-3.2.0-3-486-di sound-modules-3.2.0-3-486-di zlib-modules-3.2.0-3-486-di hyperv-modules-3.2.0-3-486-di udf-modules-3.2.0-3-486-di kernel-image-3.2.0-3-686-pae-di nic-modules-3.2.0-3-686-pae-di
 nic-extra-modules-3.2.0-3-686-pae-di nic-wireless-modules-3.2.0-3-686-pae-di nic-shared-modules-3.2.0-3-686-pae-di serial-modules-3.2.0-3-686-pae-di usb-serial-modules-3.2.0-3-686-pae-di ppp-modules-3.2.0-3-686-pae-di pata-modules-3.2.0-3-686-pae-di cdrom-core-modules-3.2.0-3-686-pae-di firewire-core-modules-3.2.0-3-686-pae-di scsi-core-modules-3.2.0-3-686-pae-di scsi-modules-3.2.0-3-686-pae-di scsi-common-modules-3.2.0-3-686-pae-di scsi-extra-modules-3.2.0-3-686-pae-di plip-modules-3.2.0-3-686-pae-di floppy-modules-3.2.0-3-686-pae-di loop-modules-3.2.0-3-686-pae-di btrfs-modules-3.2.0-3-686-pae-di ext2-modules-3.2.0-3-686-pae-di ext3-modules-3.2.0-3-686-pae-di ext4-modules-3.2.0-3-686-pae-di isofs-modules-3.2.0-3-686-pae-di jfs-modules-3.2.0-3-686-pae-di ntfs-modules-3.2.0-3-686-pae-di reiserfs-modules-3.2.0-3-686-pae-di xfs-modules-3.2.0-3-686-pae-di fat-modules-3.2.0-3-686-pae-di ufs-modules-3.2.0-3-686-pae-di qnx4-modules-3.2.0-3-686-pae-di
 md-modules-3.2.0-3-686-pae-di multipath-modules-3.2.0-3-686-pae-di usb-modules-3.2.0-3-686-pae-di usb-storage-modules-3.2.0-3-686-pae-di pcmcia-storage-modules-3.2.0-3-686-pae-di fb-modules-3.2.0-3-686-pae-di input-modules-3.2.0-3-686-pae-di event-modules-3.2.0-3-686-pae-di mouse-modules-3.2.0-3-686-pae-di irda-modules-3.2.0-3-686-pae-di parport-modules-3.2.0-3-686-pae-di nic-pcmcia-modules-3.2.0-3-686-pae-di pcmcia-modules-3.2.0-3-686-pae-di nic-usb-modules-3.2.0-3-686-pae-di sata-modules-3.2.0-3-686-pae-di core-modules-3.2.0-3-686-pae-di acpi-modules-3.2.0-3-686-pae-di i2c-modules-3.2.0-3-686-pae-di crc-modules-3.2.0-3-686-pae-di crypto-modules-3.2.0-3-686-pae-di crypto-dm-modules-3.2.0-3-686-pae-di efi-modules-3.2.0-3-686-pae-di ata-modules-3.2.0-3-686-pae-di mmc-core-modules-3.2.0-3-686-pae-di mmc-modules-3.2.0-3-686-pae-di nbd-modules-3.2.0-3-686-pae-di squashfs-modules-3.2.0-3-686-pae-di speakup-modules-3.2.0-3-686-pae-di virtio-modules-3.2.0-3-686-pae-di
 uinput-modules-3.2.0-3-686-pae-di sound-modules-3.2.0-3-686-pae-di zlib-modules-3.2.0-3-686-pae-di hyperv-modules-3.2.0-3-686-pae-di udf-modules-3.2.0-3-686-pae-di linux-image-3.2.0-3-486 linux-headers-3.2.0-3-486 linux-image-3.2.0-3-686-pae linux-headers-3.2.0-3-686-pae linux-image-3.2.0-3-686-pae-dbg xen-linux-system-3.2.0-3-686-pae linux-image-3.2.0-3-rt-686-pae linux-headers-3.2.0-3-rt-686-pae linux-image-3.2.0-3-rt-686-pae-dbg linux-headers-3.2.0-3-all-ia64 kernel-image-3.2.0-3-itanium-di nic-modules-3.2.0-3-itanium-di nic-shared-modules-3.2.0-3-itanium-di serial-modules-3.2.0-3-itanium-di ppp-modules-3.2.0-3-itanium-di ide-modules-3.2.0-3-itanium-di pata-modules-3.2.0-3-itanium-di ide-core-modules-3.2.0-3-itanium-di cdrom-core-modules-3.2.0-3-itanium-di firewire-core-modules-3.2.0-3-itanium-di scsi-core-modules-3.2.0-3-itanium-di scsi-modules-3.2.0-3-itanium-di plip-modules-3.2.0-3-itanium-di loop-modules-3.2.0-3-itanium-di ipv6-modules-3.2.0-3-itanium-di
 btrfs-modules-3.2.0-3-itanium-di ext2-modules-3.2.0-3-itanium-di ext3-modules-3.2.0-3-itanium-di ext4-modules-3.2.0-3-itanium-di isofs-modules-3.2.0-3-itanium-di jfs-modules-3.2.0-3-itanium-di ntfs-modules-3.2.0-3-itanium-di reiserfs-modules-3.2.0-3-itanium-di xfs-modules-3.2.0-3-itanium-di fat-modules-3.2.0-3-itanium-di ufs-modules-3.2.0-3-itanium-di md-modules-3.2.0-3-itanium-di multipath-modules-3.2.0-3-itanium-di usb-modules-3.2.0-3-itanium-di usb-storage-modules-3.2.0-3-itanium-di fb-modules-3.2.0-3-itanium-di input-modules-3.2.0-3-itanium-di event-modules-3.2.0-3-itanium-di mouse-modules-3.2.0-3-itanium-di irda-modules-3.2.0-3-itanium-di parport-modules-3.2.0-3-itanium-di pcmcia-modules-3.2.0-3-itanium-di nic-usb-modules-3.2.0-3-itanium-di sata-modules-3.2.0-3-itanium-di core-modules-3.2.0-3-itanium-di crc-modules-3.2.0-3-itanium-di crypto-modules-3.2.0-3-itanium-di crypto-dm-modules-3.2.0-3-itanium-di efi-modules-3.2.0-3-itanium-di
 ata-modules-3.2.0-3-itanium-di nbd-modules-3.2.0-3-itanium-di squashfs-modules-3.2.0-3-itanium-di uinput-modules-3.2.0-3-itanium-di zlib-modules-3.2.0-3-itanium-di udf-modules-3.2.0-3-itanium-di sn-modules-3.2.0-3-itanium-di linux-image-3.2.0-3-itanium linux-headers-3.2.0-3-itanium linux-image-3.2.0-3-mckinley linux-headers-3.2.0-3-mckinley linux-headers-3.2.0-3-all-m68k kernel-image-3.2.0-3-amiga-di nic-shared-modules-3.2.0-3-amiga-di ppp-modules-3.2.0-3-amiga-di cdrom-core-modules-3.2.0-3-amiga-di scsi-modules-3.2.0-3-amiga-di ipv6-modules-3.2.0-3-amiga-di btrfs-modules-3.2.0-3-amiga-di isofs-modules-3.2.0-3-amiga-di jfs-modules-3.2.0-3-amiga-di reiserfs-modules-3.2.0-3-amiga-di fat-modules-3.2.0-3-amiga-di md-modules-3.2.0-3-amiga-di crypto-modules-3.2.0-3-amiga-di nbd-modules-3.2.0-3-amiga-di squashfs-modules-3.2.0-3-amiga-di zlib-modules-3.2.0-3-amiga-di udf-modules-3.2.0-3-amiga-di kernel-image-3.2.0-3-atari-di nic-shared-modules-3.2.0-3-atari-di
 ppp-modules-3.2.0-3-atari-di cdrom-core-modules-3.2.0-3-atari-di scsi-modules-3.2.0-3-atari-di ipv6-modules-3.2.0-3-atari-di btrfs-modules-3.2.0-3-atari-di isofs-modules-3.2.0-3-atari-di jfs-modules-3.2.0-3-atari-di reiserfs-modules-3.2.0-3-atari-di fat-modules-3.2.0-3-atari-di md-modules-3.2.0-3-atari-di crypto-modules-3.2.0-3-atari-di nbd-modules-3.2.0-3-atari-di squashfs-modules-3.2.0-3-atari-di zlib-modules-3.2.0-3-atari-di udf-modules-3.2.0-3-atari-di kernel-image-3.2.0-3-mac-di nic-shared-modules-3.2.0-3-mac-di ppp-modules-3.2.0-3-mac-di cdrom-core-modules-3.2.0-3-mac-di scsi-modules-3.2.0-3-mac-di ipv6-modules-3.2.0-3-mac-di btrfs-modules-3.2.0-3-mac-di isofs-modules-3.2.0-3-mac-di jfs-modules-3.2.0-3-mac-di reiserfs-modules-3.2.0-3-mac-di fat-modules-3.2.0-3-mac-di md-modules-3.2.0-3-mac-di crypto-modules-3.2.0-3-mac-di nbd-modules-3.2.0-3-mac-di squashfs-modules-3.2.0-3-mac-di zlib-modules-3.2.0-3-mac-di udf-modules-3.2.0-3-mac-di linux-image-3.2.0-3-amiga
 linux-headers-3.2.0-3-amiga linux-image-3.2.0-3-atari linux-headers-3.2.0-3-atari linux-image-3.2.0-3-bvme6000 linux-headers-3.2.0-3-bvme6000 linux-image-3.2.0-3-mac linux-headers-3.2.0-3-mac linux-image-3.2.0-3-mvme147 linux-headers-3.2.0-3-mvme147 linux-image-3.2.0-3-mvme16x linux-headers-3.2.0-3-mvme16x linux-headers-3.2.0-3-all-mips kernel-image-3.2.0-3-sb1-bcm91250a-di nic-shared-modules-3.2.0-3-sb1-bcm91250a-di ppp-modules-3.2.0-3-sb1-bcm91250a-di cdrom-core-modules-3.2.0-3-sb1-bcm91250a-di scsi-core-modules-3.2.0-3-sb1-bcm91250a-di scsi-modules-3.2.0-3-sb1-bcm91250a-di scsi-common-modules-3.2.0-3-sb1-bcm91250a-di loop-modules-3.2.0-3-sb1-bcm91250a-di ipv6-modules-3.2.0-3-sb1-bcm91250a-di btrfs-modules-3.2.0-3-sb1-bcm91250a-di isofs-modules-3.2.0-3-sb1-bcm91250a-di jfs-modules-3.2.0-3-sb1-bcm91250a-di reiserfs-modules-3.2.0-3-sb1-bcm91250a-di xfs-modules-3.2.0-3-sb1-bcm91250a-di fat-modules-3.2.0-3-sb1-bcm91250a-di md-modules-3.2.0-3-sb1-bcm91250a-di
 multipath-modules-3.2.0-3-sb1-bcm91250a-di usb-modules-3.2.0-3-sb1-bcm91250a-di usb-storage-modules-3.2.0-3-sb1-bcm91250a-di fb-modules-3.2.0-3-sb1-bcm91250a-di input-modules-3.2.0-3-sb1-bcm91250a-di sata-modules-3.2.0-3-sb1-bcm91250a-di crypto-modules-3.2.0-3-sb1-bcm91250a-di crypto-dm-modules-3.2.0-3-sb1-bcm91250a-di nbd-modules-3.2.0-3-sb1-bcm91250a-di squashfs-modules-3.2.0-3-sb1-bcm91250a-di rtc-modules-3.2.0-3-sb1-bcm91250a-di zlib-modules-3.2.0-3-sb1-bcm91250a-di udf-modules-3.2.0-3-sb1-bcm91250a-di kernel-image-3.2.0-3-r4k-ip22-di nic-shared-modules-3.2.0-3-r4k-ip22-di loop-modules-3.2.0-3-r4k-ip22-di ipv6-modules-3.2.0-3-r4k-ip22-di btrfs-modules-3.2.0-3-r4k-ip22-di isofs-modules-3.2.0-3-r4k-ip22-di jfs-modules-3.2.0-3-r4k-ip22-di reiserfs-modules-3.2.0-3-r4k-ip22-di xfs-modules-3.2.0-3-r4k-ip22-di md-modules-3.2.0-3-r4k-ip22-di multipath-modules-3.2.0-3-r4k-ip22-di crypto-modules-3.2.0-3-r4k-ip22-di crypto-dm-modules-3.2.0-3-r4k-ip22-di
 nbd-modules-3.2.0-3-r4k-ip22-di squashfs-modules-3.2.0-3-r4k-ip22-di zlib-modules-3.2.0-3-r4k-ip22-di udf-modules-3.2.0-3-r4k-ip22-di kernel-image-3.2.0-3-r5k-ip32-di nic-shared-modules-3.2.0-3-r5k-ip32-di loop-modules-3.2.0-3-r5k-ip32-di ipv6-modules-3.2.0-3-r5k-ip32-di btrfs-modules-3.2.0-3-r5k-ip32-di isofs-modules-3.2.0-3-r5k-ip32-di jfs-modules-3.2.0-3-r5k-ip32-di reiserfs-modules-3.2.0-3-r5k-ip32-di xfs-modules-3.2.0-3-r5k-ip32-di md-modules-3.2.0-3-r5k-ip32-di multipath-modules-3.2.0-3-r5k-ip32-di crypto-modules-3.2.0-3-r5k-ip32-di crypto-dm-modules-3.2.0-3-r5k-ip32-di nbd-modules-3.2.0-3-r5k-ip32-di squashfs-modules-3.2.0-3-r5k-ip32-di zlib-modules-3.2.0-3-r5k-ip32-di udf-modules-3.2.0-3-r5k-ip32-di kernel-image-3.2.0-3-4kc-malta-di ppp-modules-3.2.0-3-4kc-malta-di cdrom-core-modules-3.2.0-3-4kc-malta-di loop-modules-3.2.0-3-4kc-malta-di ipv6-modules-3.2.0-3-4kc-malta-di btrfs-modules-3.2.0-3-4kc-malta-di isofs-modules-3.2.0-3-4kc-malta-di
 jfs-modules-3.2.0-3-4kc-malta-di reiserfs-modules-3.2.0-3-4kc-malta-di xfs-modules-3.2.0-3-4kc-malta-di fat-modules-3.2.0-3-4kc-malta-di md-modules-3.2.0-3-4kc-malta-di multipath-modules-3.2.0-3-4kc-malta-di usb-modules-3.2.0-3-4kc-malta-di usb-storage-modules-3.2.0-3-4kc-malta-di input-modules-3.2.0-3-4kc-malta-di sata-modules-3.2.0-3-4kc-malta-di crypto-modules-3.2.0-3-4kc-malta-di crypto-dm-modules-3.2.0-3-4kc-malta-di nbd-modules-3.2.0-3-4kc-malta-di squashfs-modules-3.2.0-3-4kc-malta-di virtio-modules-3.2.0-3-4kc-malta-di zlib-modules-3.2.0-3-4kc-malta-di udf-modules-3.2.0-3-4kc-malta-di linux-image-3.2.0-3-r4k-ip22 linux-headers-3.2.0-3-r4k-ip22 linux-image-3.2.0-3-r5k-ip32 linux-headers-3.2.0-3-r5k-ip32 linux-image-3.2.0-3-sb1-bcm91250a linux-headers-3.2.0-3-sb1-bcm91250a linux-image-3.2.0-3-sb1a-bcm91480b linux-headers-3.2.0-3-sb1a-bcm91480b linux-image-3.2.0-3-4kc-malta linux-headers-3.2.0-3-4kc-malta linux-image-3.2.0-3-5kc-malta
 linux-headers-3.2.0-3-5kc-malta linux-image-3.2.0-3-octeon linux-headers-3.2.0-3-octeon linux-headers-3.2.0-3-all-mipsel kernel-image-3.2.0-3-r5k-cobalt-di nic-shared-modules-3.2.0-3-r5k-cobalt-di ppp-modules-3.2.0-3-r5k-cobalt-di loop-modules-3.2.0-3-r5k-cobalt-di ipv6-modules-3.2.0-3-r5k-cobalt-di btrfs-modules-3.2.0-3-r5k-cobalt-di jfs-modules-3.2.0-3-r5k-cobalt-di reiserfs-modules-3.2.0-3-r5k-cobalt-di xfs-modules-3.2.0-3-r5k-cobalt-di fat-modules-3.2.0-3-r5k-cobalt-di nfs-modules-3.2.0-3-r5k-cobalt-di md-modules-3.2.0-3-r5k-cobalt-di multipath-modules-3.2.0-3-r5k-cobalt-di crypto-modules-3.2.0-3-r5k-cobalt-di crypto-dm-modules-3.2.0-3-r5k-cobalt-di nbd-modules-3.2.0-3-r5k-cobalt-di squashfs-modules-3.2.0-3-r5k-cobalt-di zlib-modules-3.2.0-3-r5k-cobalt-di kernel-image-3.2.0-3-loongson-2f-di nic-modules-3.2.0-3-loongson-2f-di nic-shared-modules-3.2.0-3-loongson-2f-di ppp-modules-3.2.0-3-loongson-2f-di cdrom-core-modules-3.2.0-3-loongson-2f-di
 loop-modules-3.2.0-3-loongson-2f-di ipv6-modules-3.2.0-3-loongson-2f-di btrfs-modules-3.2.0-3-loongson-2f-di isofs-modules-3.2.0-3-loongson-2f-di jfs-modules-3.2.0-3-loongson-2f-di reiserfs-modules-3.2.0-3-loongson-2f-di xfs-modules-3.2.0-3-loongson-2f-di fat-modules-3.2.0-3-loongson-2f-di md-modules-3.2.0-3-loongson-2f-di multipath-modules-3.2.0-3-loongson-2f-di usb-modules-3.2.0-3-loongson-2f-di usb-storage-modules-3.2.0-3-loongson-2f-di input-modules-3.2.0-3-loongson-2f-di nic-usb-modules-3.2.0-3-loongson-2f-di sata-modules-3.2.0-3-loongson-2f-di crypto-modules-3.2.0-3-loongson-2f-di crypto-dm-modules-3.2.0-3-loongson-2f-di nbd-modules-3.2.0-3-loongson-2f-di squashfs-modules-3.2.0-3-loongson-2f-di virtio-modules-3.2.0-3-loongson-2f-di zlib-modules-3.2.0-3-loongson-2f-di udf-modules-3.2.0-3-loongson-2f-di linux-image-3.2.0-3-r5k-cobalt linux-headers-3.2.0-3-r5k-cobalt linux-image-3.2.0-3-loongson-2f linux-headers-3.2.0-3-loongson-2f
 linux-headers-3.2.0-3-all-powerpc kernel-image-3.2.0-3-powerpc-di nic-modules-3.2.0-3-powerpc-di nic-extra-modules-3.2.0-3-powerpc-di nic-shared-modules-3.2.0-3-powerpc-di serial-modules-3.2.0-3-powerpc-di usb-serial-modules-3.2.0-3-powerpc-di ppp-modules-3.2.0-3-powerpc-di pata-modules-3.2.0-3-powerpc-di cdrom-core-modules-3.2.0-3-powerpc-di firewire-core-modules-3.2.0-3-powerpc-di scsi-core-modules-3.2.0-3-powerpc-di scsi-modules-3.2.0-3-powerpc-di scsi-common-modules-3.2.0-3-powerpc-di scsi-extra-modules-3.2.0-3-powerpc-di floppy-modules-3.2.0-3-powerpc-di loop-modules-3.2.0-3-powerpc-di btrfs-modules-3.2.0-3-powerpc-di ext2-modules-3.2.0-3-powerpc-di ext3-modules-3.2.0-3-powerpc-di ext4-modules-3.2.0-3-powerpc-di isofs-modules-3.2.0-3-powerpc-di jfs-modules-3.2.0-3-powerpc-di reiserfs-modules-3.2.0-3-powerpc-di xfs-modules-3.2.0-3-powerpc-di fat-modules-3.2.0-3-powerpc-di hfs-modules-3.2.0-3-powerpc-di affs-modules-3.2.0-3-powerpc-di
 ufs-modules-3.2.0-3-powerpc-di md-modules-3.2.0-3-powerpc-di multipath-modules-3.2.0-3-powerpc-di usb-modules-3.2.0-3-powerpc-di usb-storage-modules-3.2.0-3-powerpc-di pcmcia-storage-modules-3.2.0-3-powerpc-di input-modules-3.2.0-3-powerpc-di event-modules-3.2.0-3-powerpc-di mouse-modules-3.2.0-3-powerpc-di irda-modules-3.2.0-3-powerpc-di nic-pcmcia-modules-3.2.0-3-powerpc-di pcmcia-modules-3.2.0-3-powerpc-di sata-modules-3.2.0-3-powerpc-di core-modules-3.2.0-3-powerpc-di crc-modules-3.2.0-3-powerpc-di crypto-modules-3.2.0-3-powerpc-di crypto-dm-modules-3.2.0-3-powerpc-di ata-modules-3.2.0-3-powerpc-di nbd-modules-3.2.0-3-powerpc-di squashfs-modules-3.2.0-3-powerpc-di virtio-modules-3.2.0-3-powerpc-di uinput-modules-3.2.0-3-powerpc-di zlib-modules-3.2.0-3-powerpc-di udf-modules-3.2.0-3-powerpc-di kernel-image-3.2.0-3-powerpc64-di nic-modules-3.2.0-3-powerpc64-di nic-extra-modules-3.2.0-3-powerpc64-di nic-shared-modules-3.2.0-3-powerpc64-di
 serial-modules-3.2.0-3-powerpc64-di usb-serial-modules-3.2.0-3-powerpc64-di ppp-modules-3.2.0-3-powerpc64-di pata-modules-3.2.0-3-powerpc64-di cdrom-core-modules-3.2.0-3-powerpc64-di firewire-core-modules-3.2.0-3-powerpc64-di scsi-core-modules-3.2.0-3-powerpc64-di scsi-modules-3.2.0-3-powerpc64-di scsi-common-modules-3.2.0-3-powerpc64-di scsi-extra-modules-3.2.0-3-powerpc64-di floppy-modules-3.2.0-3-powerpc64-di loop-modules-3.2.0-3-powerpc64-di btrfs-modules-3.2.0-3-powerpc64-di ext2-modules-3.2.0-3-powerpc64-di ext3-modules-3.2.0-3-powerpc64-di ext4-modules-3.2.0-3-powerpc64-di isofs-modules-3.2.0-3-powerpc64-di jfs-modules-3.2.0-3-powerpc64-di reiserfs-modules-3.2.0-3-powerpc64-di xfs-modules-3.2.0-3-powerpc64-di fat-modules-3.2.0-3-powerpc64-di hfs-modules-3.2.0-3-powerpc64-di affs-modules-3.2.0-3-powerpc64-di ufs-modules-3.2.0-3-powerpc64-di md-modules-3.2.0-3-powerpc64-di multipath-modules-3.2.0-3-powerpc64-di usb-modules-3.2.0-3-powerpc64-di
 usb-storage-modules-3.2.0-3-powerpc64-di pcmcia-storage-modules-3.2.0-3-powerpc64-di input-modules-3.2.0-3-powerpc64-di event-modules-3.2.0-3-powerpc64-di mouse-modules-3.2.0-3-powerpc64-di irda-modules-3.2.0-3-powerpc64-di nic-pcmcia-modules-3.2.0-3-powerpc64-di pcmcia-modules-3.2.0-3-powerpc64-di sata-modules-3.2.0-3-powerpc64-di core-modules-3.2.0-3-powerpc64-di crc-modules-3.2.0-3-powerpc64-di crypto-modules-3.2.0-3-powerpc64-di crypto-dm-modules-3.2.0-3-powerpc64-di ata-modules-3.2.0-3-powerpc64-di nbd-modules-3.2.0-3-powerpc64-di squashfs-modules-3.2.0-3-powerpc64-di virtio-modules-3.2.0-3-powerpc64-di uinput-modules-3.2.0-3-powerpc64-di udf-modules-3.2.0-3-powerpc64-di hypervisor-modules-3.2.0-3-powerpc64-di fancontrol-modules-3.2.0-3-powerpc64-di linux-image-3.2.0-3-powerpc linux-headers-3.2.0-3-powerpc linux-image-3.2.0-3-powerpc-smp linux-headers-3.2.0-3-powerpc-smp linux-image-3.2.0-3-powerpc64 linux-headers-3.2.0-3-powerpc64
 linux-headers-3.2.0-3-all-ppc64 linux-headers-3.2.0-3-all-s390 kernel-image-3.2.0-3-s390x-di nic-modules-3.2.0-3-s390x-di scsi-core-modules-3.2.0-3-s390x-di scsi-modules-3.2.0-3-s390x-di ext2-modules-3.2.0-3-s390x-di ext3-modules-3.2.0-3-s390x-di ext4-modules-3.2.0-3-s390x-di xfs-modules-3.2.0-3-s390x-di fat-modules-3.2.0-3-s390x-di md-modules-3.2.0-3-s390x-di multipath-modules-3.2.0-3-s390x-di core-modules-3.2.0-3-s390x-di crypto-modules-3.2.0-3-s390x-di crypto-dm-modules-3.2.0-3-s390x-di nbd-modules-3.2.0-3-s390x-di virtio-modules-3.2.0-3-s390x-di dasd-modules-3.2.0-3-s390x-di dasd-extra-modules-3.2.0-3-s390x-di kernel-image-3.2.0-3-s390x-tape-di linux-image-3.2.0-3-s390x linux-headers-3.2.0-3-s390x linux-image-3.2.0-3-s390x-dbg linux-image-3.2.0-3-s390x-tape linux-headers-3.2.0-3-all-s390x linux-headers-3.2.0-3-all-sh4 kernel-image-3.2.0-3-sh7751r-di nic-modules-3.2.0-3-sh7751r-di usb-serial-modules-3.2.0-3-sh7751r-di ppp-modules-3.2.0-3-sh7751r-di
 pata-modules-3.2.0-3-sh7751r-di cdrom-core-modules-3.2.0-3-sh7751r-di firewire-core-modules-3.2.0-3-sh7751r-di scsi-core-modules-3.2.0-3-sh7751r-di loop-modules-3.2.0-3-sh7751r-di ipv6-modules-3.2.0-3-sh7751r-di btrfs-modules-3.2.0-3-sh7751r-di ext2-modules-3.2.0-3-sh7751r-di ext4-modules-3.2.0-3-sh7751r-di isofs-modules-3.2.0-3-sh7751r-di jfs-modules-3.2.0-3-sh7751r-di reiserfs-modules-3.2.0-3-sh7751r-di xfs-modules-3.2.0-3-sh7751r-di fat-modules-3.2.0-3-sh7751r-di ufs-modules-3.2.0-3-sh7751r-di minix-modules-3.2.0-3-sh7751r-di md-modules-3.2.0-3-sh7751r-di multipath-modules-3.2.0-3-sh7751r-di usb-storage-modules-3.2.0-3-sh7751r-di parport-modules-3.2.0-3-sh7751r-di nic-usb-modules-3.2.0-3-sh7751r-di sata-modules-3.2.0-3-sh7751r-di i2c-modules-3.2.0-3-sh7751r-di crc-modules-3.2.0-3-sh7751r-di crypto-modules-3.2.0-3-sh7751r-di crypto-dm-modules-3.2.0-3-sh7751r-di nbd-modules-3.2.0-3-sh7751r-di squashfs-modules-3.2.0-3-sh7751r-di speakup-modules-3.2.0-3-sh7751r-di
 virtio-modules-3.2.0-3-sh7751r-di sound-modules-3.2.0-3-sh7751r-di zlib-modules-3.2.0-3-sh7751r-di udf-modules-3.2.0-3-sh7751r-di kernel-image-3.2.0-3-sh7785lcr-di nic-modules-3.2.0-3-sh7785lcr-di usb-serial-modules-3.2.0-3-sh7785lcr-di ppp-modules-3.2.0-3-sh7785lcr-di pata-modules-3.2.0-3-sh7785lcr-di cdrom-core-modules-3.2.0-3-sh7785lcr-di firewire-core-modules-3.2.0-3-sh7785lcr-di scsi-core-modules-3.2.0-3-sh7785lcr-di loop-modules-3.2.0-3-sh7785lcr-di ipv6-modules-3.2.0-3-sh7785lcr-di btrfs-modules-3.2.0-3-sh7785lcr-di ext2-modules-3.2.0-3-sh7785lcr-di ext4-modules-3.2.0-3-sh7785lcr-di isofs-modules-3.2.0-3-sh7785lcr-di jfs-modules-3.2.0-3-sh7785lcr-di reiserfs-modules-3.2.0-3-sh7785lcr-di xfs-modules-3.2.0-3-sh7785lcr-di fat-modules-3.2.0-3-sh7785lcr-di ufs-modules-3.2.0-3-sh7785lcr-di minix-modules-3.2.0-3-sh7785lcr-di md-modules-3.2.0-3-sh7785lcr-di multipath-modules-3.2.0-3-sh7785lcr-di parport-modules-3.2.0-3-sh7785lcr-di
 nic-usb-modules-3.2.0-3-sh7785lcr-di sata-modules-3.2.0-3-sh7785lcr-di crc-modules-3.2.0-3-sh7785lcr-di crypto-modules-3.2.0-3-sh7785lcr-di crypto-dm-modules-3.2.0-3-sh7785lcr-di nbd-modules-3.2.0-3-sh7785lcr-di squashfs-modules-3.2.0-3-sh7785lcr-di speakup-modules-3.2.0-3-sh7785lcr-di sound-modules-3.2.0-3-sh7785lcr-di zlib-modules-3.2.0-3-sh7785lcr-di udf-modules-3.2.0-3-sh7785lcr-di linux-image-3.2.0-3-sh7751r linux-headers-3.2.0-3-sh7751r linux-image-3.2.0-3-sh7785lcr linux-headers-3.2.0-3-sh7785lcr linux-headers-3.2.0-3-all-sparc kernel-image-3.2.0-3-sparc64-di nic-modules-3.2.0-3-sparc64-di ppp-modules-3.2.0-3-sparc64-di pata-modules-3.2.0-3-sparc64-di cdrom-core-modules-3.2.0-3-sparc64-di scsi-core-modules-3.2.0-3-sparc64-di scsi-modules-3.2.0-3-sparc64-di scsi-common-modules-3.2.0-3-sparc64-di plip-modules-3.2.0-3-sparc64-di btrfs-modules-3.2.0-3-sparc64-di ext2-modules-3.2.0-3-sparc64-di ext3-modules-3.2.0-3-sparc64-di ext4-modules-3.2.0-3-sparc64-di
 isofs-modules-3.2.0-3-sparc64-di jfs-modules-3.2.0-3-sparc64-di reiserfs-modules-3.2.0-3-sparc64-di xfs-modules-3.2.0-3-sparc64-di fat-modules-3.2.0-3-sparc64-di md-modules-3.2.0-3-sparc64-di multipath-modules-3.2.0-3-sparc64-di usb-modules-3.2.0-3-sparc64-di usb-storage-modules-3.2.0-3-sparc64-di input-modules-3.2.0-3-sparc64-di sata-modules-3.2.0-3-sparc64-di core-modules-3.2.0-3-sparc64-di crypto-modules-3.2.0-3-sparc64-di crypto-dm-modules-3.2.0-3-sparc64-di ata-modules-3.2.0-3-sparc64-di nbd-modules-3.2.0-3-sparc64-di squashfs-modules-3.2.0-3-sparc64-di virtio-modules-3.2.0-3-sparc64-di zlib-modules-3.2.0-3-sparc64-di udf-modules-3.2.0-3-sparc64-di linux-image-3.2.0-3-sparc64 linux-headers-3.2.0-3-sparc64 linux-image-3.2.0-3-sparc64-smp linux-headers-3.2.0-3-sparc64-smp
 linux-headers-3.2.0-3-all-sparc64
Architecture: all amd64 source
Version: 3.2.21-3
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 675190 676515 679202
Description: 
 acpi-modules-3.2.0-3-486-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-3-686-pae-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-3-amd64-di - ACPI support modules (udeb)
 affs-modules-3.2.0-3-powerpc64-di - Amiga filesystem support (udeb)
 affs-modules-3.2.0-3-powerpc-di - Amiga filesystem support (udeb)
 ata-modules-3.2.0-3-486-di - ATA disk modules (udeb)
 ata-modules-3.2.0-3-686-pae-di - ATA disk modules (udeb)
 ata-modules-3.2.0-3-amd64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-3-iop32x-di - ATA disk modules (udeb)
 ata-modules-3.2.0-3-itanium-di - ATA disk modules (udeb)
 ata-modules-3.2.0-3-powerpc64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-3-powerpc-di - ATA disk modules (udeb)
 ata-modules-3.2.0-3-sparc64-di - ATA disk modules (udeb)
 btrfs-modules-3.2.0-3-486-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-4kc-malta-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-686-pae-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-amd64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-amiga-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-atari-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-iop32x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-itanium-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-kirkwood-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-loongson-2f-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-mac-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-mx5-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-orion5x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-parisc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-parisc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-powerpc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-powerpc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-r4k-ip22-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-r5k-cobalt-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-r5k-ip32-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-sb1-bcm91250a-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-sh7751r-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-sh7785lcr-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-sparc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-3-versatile-di - BTRFS filesystem support (udeb)
 cdrom-core-modules-3.2.0-3-486-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-4kc-malta-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-686-pae-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-amd64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-amiga-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-atari-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-iop32x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-itanium-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-kirkwood-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-loongson-2f-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-mac-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-orion5x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-parisc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-parisc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-powerpc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-powerpc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-sb1-bcm91250a-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-sh7751r-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-sh7785lcr-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-sparc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-3-versatile-di - CDROM support (udeb)
 core-modules-3.2.0-3-486-di - Core modules (udeb)
 core-modules-3.2.0-3-686-pae-di - Core modules (udeb)
 core-modules-3.2.0-3-amd64-di - Core modules (udeb)
 core-modules-3.2.0-3-iop32x-di - Core modules (udeb)
 core-modules-3.2.0-3-itanium-di - Core modules (udeb)
 core-modules-3.2.0-3-kirkwood-di - Core modules (udeb)
 core-modules-3.2.0-3-mx5-di - Core modules (udeb)
 core-modules-3.2.0-3-orion5x-di - Core modules (udeb)
 core-modules-3.2.0-3-powerpc64-di - Core modules (udeb)
 core-modules-3.2.0-3-powerpc-di - Core modules (udeb)
 core-modules-3.2.0-3-s390x-di - Core modules (udeb)
 core-modules-3.2.0-3-sparc64-di - Core modules (udeb)
 core-modules-3.2.0-3-versatile-di - Core modules (udeb)
 crc-modules-3.2.0-3-486-di - CRC modules (udeb)
 crc-modules-3.2.0-3-686-pae-di - CRC modules (udeb)
 crc-modules-3.2.0-3-amd64-di - CRC modules (udeb)
 crc-modules-3.2.0-3-iop32x-di - CRC modules (udeb)
 crc-modules-3.2.0-3-itanium-di - CRC modules (udeb)
 crc-modules-3.2.0-3-kirkwood-di - CRC modules (udeb)
 crc-modules-3.2.0-3-mx5-di - CRC modules (udeb)
 crc-modules-3.2.0-3-orion5x-di - CRC modules (udeb)
 crc-modules-3.2.0-3-powerpc64-di - CRC modules (udeb)
 crc-modules-3.2.0-3-powerpc-di - CRC modules (udeb)
 crc-modules-3.2.0-3-sh7751r-di - CRC modules (udeb)
 crc-modules-3.2.0-3-sh7785lcr-di - CRC modules (udeb)
 crc-modules-3.2.0-3-versatile-di - CRC modules (udeb)
 crypto-dm-modules-3.2.0-3-486-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-4kc-malta-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-686-pae-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-amd64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-iop32x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-itanium-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-kirkwood-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-loongson-2f-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-mx5-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-orion5x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-parisc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-parisc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-powerpc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-powerpc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-r4k-ip22-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-r5k-cobalt-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-r5k-ip32-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-s390x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-sb1-bcm91250a-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-sh7751r-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-sh7785lcr-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-sparc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-3-versatile-di - devicemapper crypto module (udeb)
 crypto-modules-3.2.0-3-486-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-4kc-malta-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-686-pae-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-amd64-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-amiga-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-atari-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-iop32x-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-itanium-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-kirkwood-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-loongson-2f-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-mac-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-mx5-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-orion5x-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-parisc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-parisc-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-powerpc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-powerpc-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-r4k-ip22-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-r5k-cobalt-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-r5k-ip32-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-s390x-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-sb1-bcm91250a-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-sh7751r-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-sh7785lcr-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-sparc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-3-versatile-di - crypto modules (udeb)
 dasd-extra-modules-3.2.0-3-s390x-di - optional dasd DIAG support (udeb)
 dasd-modules-3.2.0-3-s390x-di - dasd modules (udeb)
 efi-modules-3.2.0-3-486-di - EFI modules (udeb)
 efi-modules-3.2.0-3-686-pae-di - EFI modules (udeb)
 efi-modules-3.2.0-3-amd64-di - EFI modules (udeb)
 efi-modules-3.2.0-3-itanium-di - EFI modules (udeb)
 event-modules-3.2.0-3-486-di - Event support (udeb)
 event-modules-3.2.0-3-686-pae-di - Event support (udeb)
 event-modules-3.2.0-3-amd64-di - Event support (udeb)
 event-modules-3.2.0-3-iop32x-di - Event support (udeb)
 event-modules-3.2.0-3-itanium-di - Event support (udeb)
 event-modules-3.2.0-3-kirkwood-di - Event support (udeb)
 event-modules-3.2.0-3-orion5x-di - Event support (udeb)
 event-modules-3.2.0-3-powerpc64-di - Event support (udeb)
 event-modules-3.2.0-3-powerpc-di - Event support (udeb)
 ext2-modules-3.2.0-3-486-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-686-pae-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-amd64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-iop32x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-itanium-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-kirkwood-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-mx5-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-orion5x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-powerpc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-powerpc-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-s390x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-sh7751r-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-sh7785lcr-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-sparc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-3-versatile-di - EXT2 filesystem support (udeb)
 ext3-modules-3.2.0-3-486-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-686-pae-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-amd64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-iop32x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-itanium-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-kirkwood-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-mx5-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-orion5x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-parisc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-parisc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-powerpc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-powerpc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-s390x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-sparc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-3-versatile-di - EXT3 filesystem support (udeb)
 ext4-modules-3.2.0-3-486-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-686-pae-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-amd64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-iop32x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-itanium-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-kirkwood-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-mx5-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-orion5x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-parisc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-parisc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-powerpc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-powerpc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-s390x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-sh7751r-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-sh7785lcr-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-sparc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-3-versatile-di - EXT4 filesystem support (udeb)
 fancontrol-modules-3.2.0-3-powerpc64-di - Apple powermac fancontrol modules (udeb)
 fat-modules-3.2.0-3-486-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-4kc-malta-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-686-pae-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-amd64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-amiga-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-atari-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-iop32x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-itanium-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-kirkwood-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-loongson-2f-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-mac-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-mx5-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-orion5x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-parisc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-parisc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-powerpc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-powerpc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-r5k-cobalt-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-s390x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-sb1-bcm91250a-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-sh7751r-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-sh7785lcr-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-sparc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-3-versatile-di - FAT filesystem support (udeb)
 fb-modules-3.2.0-3-486-di - Frame buffer support (udeb)
 fb-modules-3.2.0-3-686-pae-di - Frame buffer support (udeb)
 fb-modules-3.2.0-3-amd64-di - Frame buffer support (udeb)
 fb-modules-3.2.0-3-itanium-di - Frame buffer support (udeb)
 fb-modules-3.2.0-3-kirkwood-di - Frame buffer support (udeb)
 fb-modules-3.2.0-3-sb1-bcm91250a-di - Frame buffer support (udeb)
 firewire-core-modules-3.2.0-3-486-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-3-686-pae-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-3-amd64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-3-itanium-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-3-powerpc64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-3-powerpc-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-3-sh7751r-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-3-sh7785lcr-di - Core FireWire drivers (udeb)
 floppy-modules-3.2.0-3-486-di - Floppy driver (udeb)
 floppy-modules-3.2.0-3-686-pae-di - Floppy driver (udeb)
 floppy-modules-3.2.0-3-amd64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-3-powerpc64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-3-powerpc-di - Floppy driver (udeb)
 hfs-modules-3.2.0-3-powerpc64-di - HFS filesystem support (udeb)
 hfs-modules-3.2.0-3-powerpc-di - HFS filesystem support (udeb)
 hypervisor-modules-3.2.0-3-powerpc64-di - IBM 64bit hypervisor console modules (udeb)
 hyperv-modules-3.2.0-3-486-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-3-686-pae-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-3-amd64-di - Hyper-V modules (udeb)
 i2c-modules-3.2.0-3-486-di - i2c support modules (udeb)
 i2c-modules-3.2.0-3-686-pae-di - i2c support modules (udeb)
 i2c-modules-3.2.0-3-amd64-di - i2c support modules (udeb)
 i2c-modules-3.2.0-3-sh7751r-di - i2c support modules (udeb)
 ide-core-modules-3.2.0-3-itanium-di - IDE support (udeb)
 ide-modules-3.2.0-3-itanium-di - IDE drivers (udeb)
 input-modules-3.2.0-3-486-di - Input devices support (udeb)
 input-modules-3.2.0-3-4kc-malta-di - Input devices support (udeb)
 input-modules-3.2.0-3-686-pae-di - Input devices support (udeb)
 input-modules-3.2.0-3-amd64-di - Input devices support (udeb)
 input-modules-3.2.0-3-itanium-di - Input devices support (udeb)
 input-modules-3.2.0-3-kirkwood-di - Input devices support (udeb)
 input-modules-3.2.0-3-loongson-2f-di - Input devices support (udeb)
 input-modules-3.2.0-3-mx5-di - Input devices support (udeb)
 input-modules-3.2.0-3-parisc64-di - Input devices support (udeb)
 input-modules-3.2.0-3-parisc-di - Input devices support (udeb)
 input-modules-3.2.0-3-powerpc64-di - Input devices support (udeb)
 input-modules-3.2.0-3-powerpc-di - Input devices support (udeb)
 input-modules-3.2.0-3-sb1-bcm91250a-di - Input devices support (udeb)
 input-modules-3.2.0-3-sparc64-di - Input devices support (udeb)
 ipv6-modules-3.2.0-3-4kc-malta-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-amiga-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-atari-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-iop32x-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-itanium-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-kirkwood-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-loongson-2f-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-mac-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-mx5-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-orion5x-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-parisc64-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-parisc-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-r4k-ip22-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-r5k-cobalt-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-r5k-ip32-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-sb1-bcm91250a-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-sh7751r-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-sh7785lcr-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-3-versatile-di - IPv6 driver (udeb)
 irda-modules-3.2.0-3-486-di - Infrared devices support (udeb)
 irda-modules-3.2.0-3-686-pae-di - Infrared devices support (udeb)
 irda-modules-3.2.0-3-amd64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-3-itanium-di - Infrared devices support (udeb)
 irda-modules-3.2.0-3-powerpc64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-3-powerpc-di - Infrared devices support (udeb)
 isofs-modules-3.2.0-3-486-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-4kc-malta-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-686-pae-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-amd64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-amiga-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-atari-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-iop32x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-itanium-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-kirkwood-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-loongson-2f-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-mac-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-mx5-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-orion5x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-powerpc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-powerpc-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-r4k-ip22-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-r5k-ip32-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-sb1-bcm91250a-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-sh7751r-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-sh7785lcr-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-sparc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-3-versatile-di - ISOFS filesystem support (udeb)
 jffs2-modules-3.2.0-3-iop32x-di - JFFS2 filesystem support (udeb)
 jffs2-modules-3.2.0-3-orion5x-di - JFFS2 filesystem support (udeb)
 jfs-modules-3.2.0-3-486-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-4kc-malta-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-686-pae-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-amd64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-amiga-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-atari-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-iop32x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-itanium-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-kirkwood-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-loongson-2f-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-mac-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-mx5-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-orion5x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-powerpc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-powerpc-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-r4k-ip22-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-r5k-cobalt-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-r5k-ip32-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-sb1-bcm91250a-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-sh7751r-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-sh7785lcr-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-3-sparc64-di - JFS filesystem support (udeb)
 kernel-image-3.2.0-3-486-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-4kc-malta-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-686-pae-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-amd64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-amiga-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-atari-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-iop32x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-itanium-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-kirkwood-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-loongson-2f-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-mac-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-mx5-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-orion5x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-parisc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-parisc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-powerpc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-powerpc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-r4k-ip22-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-r5k-cobalt-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-r5k-ip32-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-s390x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-s390x-tape-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-sb1-bcm91250a-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-sh7751r-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-sh7785lcr-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-sparc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-3-versatile-di - Linux kernel binary image for the Debian installer (udeb)
 leds-modules-3.2.0-3-kirkwood-di - LED modules (udeb)
 linux-doc-3.2 - Linux kernel specific documentation for version 3.2
 linux-headers-3.2.0-3-486 - Header files for Linux 3.2.0-3-486
 linux-headers-3.2.0-3-4kc-malta - Header files for Linux 3.2.0-3-4kc-malta
 linux-headers-3.2.0-3-5kc-malta - Header files for Linux 3.2.0-3-5kc-malta
 linux-headers-3.2.0-3-686-pae - Header files for Linux 3.2.0-3-686-pae
 linux-headers-3.2.0-3-all - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-alpha - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-amd64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-armel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-armhf - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-hppa - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-i386 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-ia64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-m68k - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-mips - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-mipsel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-powerpc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-ppc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-s390 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-s390x - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-sh4 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-sparc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-all-sparc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-3-alpha-generic - Header files for Linux 3.2.0-3-alpha-generic
 linux-headers-3.2.0-3-alpha-legacy - Header files for Linux 3.2.0-3-alpha-legacy
 linux-headers-3.2.0-3-alpha-smp - Header files for Linux 3.2.0-3-alpha-smp
 linux-headers-3.2.0-3-amd64 - Header files for Linux 3.2.0-3-amd64
 linux-headers-3.2.0-3-amiga - Header files for Linux 3.2.0-3-amiga
 linux-headers-3.2.0-3-atari - Header files for Linux 3.2.0-3-atari
 linux-headers-3.2.0-3-bvme6000 - Header files for Linux 3.2.0-3-bvme6000
 linux-headers-3.2.0-3-common - Common header files for Linux 3.2.0-3
 linux-headers-3.2.0-3-common-rt - Common header files for Linux 3.2.0-3-rt
 linux-headers-3.2.0-3-iop32x - Header files for Linux 3.2.0-3-iop32x
 linux-headers-3.2.0-3-itanium - Header files for Linux 3.2.0-3-itanium
 linux-headers-3.2.0-3-ixp4xx - Header files for Linux 3.2.0-3-ixp4xx
 linux-headers-3.2.0-3-kirkwood - Header files for Linux 3.2.0-3-kirkwood
 linux-headers-3.2.0-3-loongson-2f - Header files for Linux 3.2.0-3-loongson-2f
 linux-headers-3.2.0-3-mac - Header files for Linux 3.2.0-3-mac
 linux-headers-3.2.0-3-mckinley - Header files for Linux 3.2.0-3-mckinley
 linux-headers-3.2.0-3-mv78xx0 - Header files for Linux 3.2.0-3-mv78xx0
 linux-headers-3.2.0-3-mvme147 - Header files for Linux 3.2.0-3-mvme147
 linux-headers-3.2.0-3-mvme16x - Header files for Linux 3.2.0-3-mvme16x
 linux-headers-3.2.0-3-mx5 - Header files for Linux 3.2.0-3-mx5
 linux-headers-3.2.0-3-octeon - Header files for Linux 3.2.0-3-octeon
 linux-headers-3.2.0-3-omap - Header files for Linux 3.2.0-3-omap
 linux-headers-3.2.0-3-orion5x - Header files for Linux 3.2.0-3-orion5x
 linux-headers-3.2.0-3-parisc64 - Header files for Linux 3.2.0-3-parisc64
 linux-headers-3.2.0-3-parisc64-smp - Header files for Linux 3.2.0-3-parisc64-smp
 linux-headers-3.2.0-3-parisc - Header files for Linux 3.2.0-3-parisc
 linux-headers-3.2.0-3-parisc-smp - Header files for Linux 3.2.0-3-parisc-smp
 linux-headers-3.2.0-3-powerpc64 - Header files for Linux 3.2.0-3-powerpc64
 linux-headers-3.2.0-3-powerpc - Header files for Linux 3.2.0-3-powerpc
 linux-headers-3.2.0-3-powerpc-smp - Header files for Linux 3.2.0-3-powerpc-smp
 linux-headers-3.2.0-3-r4k-ip22 - Header files for Linux 3.2.0-3-r4k-ip22
 linux-headers-3.2.0-3-r5k-cobalt - Header files for Linux 3.2.0-3-r5k-cobalt
 linux-headers-3.2.0-3-r5k-ip32 - Header files for Linux 3.2.0-3-r5k-ip32
 linux-headers-3.2.0-3-rt-686-pae - Header files for Linux 3.2.0-3-rt-686-pae
 linux-headers-3.2.0-3-rt-amd64 - Header files for Linux 3.2.0-3-rt-amd64
 linux-headers-3.2.0-3-s390x - Header files for Linux 3.2.0-3-s390x
 linux-headers-3.2.0-3-sb1a-bcm91480b - Header files for Linux 3.2.0-3-sb1a-bcm91480b
 linux-headers-3.2.0-3-sb1-bcm91250a - Header files for Linux 3.2.0-3-sb1-bcm91250a
 linux-headers-3.2.0-3-sh7751r - Header files for Linux 3.2.0-3-sh7751r
 linux-headers-3.2.0-3-sh7785lcr - Header files for Linux 3.2.0-3-sh7785lcr
 linux-headers-3.2.0-3-sparc64 - Header files for Linux 3.2.0-3-sparc64
 linux-headers-3.2.0-3-sparc64-smp - Header files for Linux 3.2.0-3-sparc64-smp
 linux-headers-3.2.0-3-versatile - Header files for Linux 3.2.0-3-versatile
 linux-headers-3.2.0-3-vexpress - Header files for Linux 3.2.0-3-vexpress
 linux-image-3.2.0-3-486 - Linux 3.2 for older PCs
 linux-image-3.2.0-3-4kc-malta - Linux 3.2 for MIPS Malta
 linux-image-3.2.0-3-5kc-malta - Linux 3.2 for MIPS Malta (64-bit)
 linux-image-3.2.0-3-686-pae-dbg - Debugging infos for Linux 3.2.0-3-686-pae
 linux-image-3.2.0-3-686-pae - Linux 3.2 for modern PCs
 linux-image-3.2.0-3-alpha-generic - Linux 3.2 for Alpha
 linux-image-3.2.0-3-alpha-legacy - Linux 3.2 for Alpha Legacy
 linux-image-3.2.0-3-alpha-smp - Linux 3.2 for Alpha SMP
 linux-image-3.2.0-3-amd64-dbg - Debugging infos for Linux 3.2.0-3-amd64
 linux-image-3.2.0-3-amd64 - Linux 3.2 for 64-bit PCs
 linux-image-3.2.0-3-amiga - Linux 3.2 for Amiga
 linux-image-3.2.0-3-atari - Linux 3.2 for Atari
 linux-image-3.2.0-3-bvme6000 - Linux 3.2 for BVM BVME4000 and BVME6000
 linux-image-3.2.0-3-iop32x - Linux 3.2 for IOP32x
 linux-image-3.2.0-3-itanium - Linux 3.2 for Itanium
 linux-image-3.2.0-3-ixp4xx - Linux 3.2 for IXP4xx
 linux-image-3.2.0-3-kirkwood - Linux 3.2 for Marvell Kirkwood
 linux-image-3.2.0-3-loongson-2f - Linux 3.2 for Loongson 2F
 linux-image-3.2.0-3-mac - Linux 3.2 for Macintosh
 linux-image-3.2.0-3-mckinley - Linux 3.2 for Itanium II
 linux-image-3.2.0-3-mv78xx0 - Linux 3.2 for Marvell 78xx0
 linux-image-3.2.0-3-mvme147 - Linux 3.2 for Motorola MVME147
 linux-image-3.2.0-3-mvme16x - Linux 3.2 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.2.0-3-mx5 - Linux 3.2 for Freescale i.MX51
 linux-image-3.2.0-3-octeon - Linux 3.2 for Octeon
 linux-image-3.2.0-3-omap - Linux 3.2 for TI OMAP3+
 linux-image-3.2.0-3-orion5x - Linux 3.2 for Marvell Orion
 linux-image-3.2.0-3-parisc64 - Linux 3.2 for 64-bit PA-RISC
 linux-image-3.2.0-3-parisc64-smp - Linux 3.2 for multiprocessor 64-bit PA-RISC
 linux-image-3.2.0-3-parisc - Linux 3.2 for 32-bit PA-RISC
 linux-image-3.2.0-3-parisc-smp - Linux 3.2 for multiprocessor 32-bit PA-RISC
 linux-image-3.2.0-3-powerpc64 - Linux 3.2 for 64-bit PowerPC
 linux-image-3.2.0-3-powerpc - Linux 3.2 for uniprocessor 32-bit PowerPC
 linux-image-3.2.0-3-powerpc-smp - Linux 3.2 for multiprocessor 32-bit PowerPC
 linux-image-3.2.0-3-r4k-ip22 - Linux 3.2 for SGI IP22
 linux-image-3.2.0-3-r5k-cobalt - Linux 3.2 for Cobalt
 linux-image-3.2.0-3-r5k-ip32 - Linux 3.2 for SGI IP32
 linux-image-3.2.0-3-rt-686-pae-dbg - Debugging infos for Linux 3.2.0-3-rt-686-pae
 linux-image-3.2.0-3-rt-686-pae - Linux 3.2 for modern PCs, PREEMPT_RT
 linux-image-3.2.0-3-rt-amd64-dbg - Debugging infos for Linux 3.2.0-3-rt-amd64
 linux-image-3.2.0-3-rt-amd64 - Linux 3.2 for 64-bit PCs, PREEMPT_RT
 linux-image-3.2.0-3-s390x-dbg - Debugging infos for Linux 3.2.0-3-s390x
 linux-image-3.2.0-3-s390x - Linux 3.2 for IBM zSeries
 linux-image-3.2.0-3-s390x-tape - Linux 3.2 for IBM zSeries, IPL from tape
 linux-image-3.2.0-3-sb1a-bcm91480b - Linux 3.2 for BCM91480B
 linux-image-3.2.0-3-sb1-bcm91250a - Linux 3.2 for BCM91250A
 linux-image-3.2.0-3-sh7751r - Linux 3.2 for sh7751r
 linux-image-3.2.0-3-sh7785lcr - Linux 3.2 for sh7785lcr
 linux-image-3.2.0-3-sparc64 - Linux 3.2 for uniprocessor 64-bit UltraSPARC
 linux-image-3.2.0-3-sparc64-smp - Linux 3.2 for multiprocessor 64-bit UltraSPARC
 linux-image-3.2.0-3-versatile - Linux 3.2 for Versatile
 linux-image-3.2.0-3-vexpress - Linux 3.2 for ARM Ltd. Versatile Express
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.2 - Linux kernel API manual pages for version 3.2
 linux-source-3.2 - Linux kernel source for version 3.2 with Debian patches
 linux-support-3.2.0-3 - Support files for Linux 3.2
 loop-modules-3.2.0-3-486-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-4kc-malta-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-686-pae-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-amd64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-iop32x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-itanium-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-kirkwood-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-loongson-2f-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-mx5-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-orion5x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-parisc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-parisc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-powerpc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-powerpc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-r4k-ip22-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-r5k-cobalt-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-r5k-ip32-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-sb1-bcm91250a-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-sh7751r-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-sh7785lcr-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-3-versatile-di - Loopback filesystem support (udeb)
 md-modules-3.2.0-3-486-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-4kc-malta-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-686-pae-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-amd64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-amiga-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-atari-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-iop32x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-itanium-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-kirkwood-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-loongson-2f-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-mac-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-mx5-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-orion5x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-parisc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-parisc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-powerpc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-powerpc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-r4k-ip22-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-r5k-cobalt-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-r5k-ip32-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-s390x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-sb1-bcm91250a-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-sh7751r-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-sh7785lcr-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-sparc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-3-versatile-di - RAID and LVM support (udeb)
 minix-modules-3.2.0-3-kirkwood-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-3-mx5-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-3-orion5x-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-3-sh7751r-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-3-sh7785lcr-di - Minix filesystem support (udeb)
 mmc-core-modules-3.2.0-3-486-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-3-686-pae-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-3-amd64-di - MMC/SD/SDIO core modules (udeb)
 mmc-modules-3.2.0-3-486-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-3-686-pae-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-3-amd64-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-3-kirkwood-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-3-mx5-di - MMC/SD card modules (udeb)
 mouse-modules-3.2.0-3-486-di - Mouse support (udeb)
 mouse-modules-3.2.0-3-686-pae-di - Mouse support (udeb)
 mouse-modules-3.2.0-3-amd64-di - Mouse support (udeb)
 mouse-modules-3.2.0-3-itanium-di - Mouse support (udeb)
 mouse-modules-3.2.0-3-kirkwood-di - Mouse support (udeb)
 mouse-modules-3.2.0-3-powerpc64-di - Mouse support (udeb)
 mouse-modules-3.2.0-3-powerpc-di - Mouse support (udeb)
 multipath-modules-3.2.0-3-486-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-4kc-malta-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-686-pae-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-amd64-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-iop32x-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-itanium-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-kirkwood-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-loongson-2f-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-mx5-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-orion5x-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-parisc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-parisc-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-powerpc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-powerpc-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-r4k-ip22-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-r5k-cobalt-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-r5k-ip32-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-s390x-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-sb1-bcm91250a-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-sh7751r-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-sh7785lcr-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-sparc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-3-versatile-di - Multipath support (udeb)
 nbd-modules-3.2.0-3-486-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-4kc-malta-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-686-pae-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-amd64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-amiga-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-atari-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-iop32x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-itanium-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-kirkwood-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-loongson-2f-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-mac-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-mx5-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-orion5x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-parisc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-parisc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-powerpc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-powerpc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-r4k-ip22-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-r5k-cobalt-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-r5k-ip32-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-s390x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-sb1-bcm91250a-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-sh7751r-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-sh7785lcr-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-sparc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-3-versatile-di - Network Block Device modules (udeb)
 nfs-modules-3.2.0-3-r5k-cobalt-di - NFS filesystem support (udeb)
 nic-extra-modules-3.2.0-3-486-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-3-686-pae-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-3-amd64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-3-powerpc64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-3-powerpc-di - Rare NIC drivers (udeb)
 nic-modules-3.2.0-3-486-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-686-pae-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-amd64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-iop32x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-itanium-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-kirkwood-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-loongson-2f-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-mx5-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-orion5x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-parisc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-parisc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-powerpc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-powerpc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-s390x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-sh7751r-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-sh7785lcr-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-3-sparc64-di - Network card modules for Sparc kernels (udeb)
 nic-modules-3.2.0-3-versatile-di - Common NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-3-486-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-3-686-pae-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-3-amd64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-3-powerpc64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-3-powerpc-di - Common PCMCIA NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-486-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-686-pae-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-amd64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-amiga-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-atari-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-iop32x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-itanium-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-kirkwood-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-loongson-2f-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-mac-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-mx5-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-orion5x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-powerpc64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-powerpc-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-r4k-ip22-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-r5k-cobalt-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-r5k-ip32-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-sb1-bcm91250a-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-3-versatile-di - Shared NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-486-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-686-pae-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-amd64-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-iop32x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-itanium-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-kirkwood-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-loongson-2f-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-mx5-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-orion5x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-sh7751r-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-sh7785lcr-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-3-versatile-di - USB NIC drivers (udeb)
 nic-wireless-modules-3.2.0-3-486-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-3-686-pae-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-3-amd64-di - Wireless NIC drivers (udeb)
 ntfs-modules-3.2.0-3-486-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-3-686-pae-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-3-amd64-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-3-itanium-di - NTFS filesystem support (udeb)
 parport-modules-3.2.0-3-486-di - Parallel port support (udeb)
 parport-modules-3.2.0-3-686-pae-di - Parallel port support (udeb)
 parport-modules-3.2.0-3-amd64-di - Parallel port support (udeb)
 parport-modules-3.2.0-3-itanium-di - Parallel port support (udeb)
 parport-modules-3.2.0-3-sh7751r-di - Parallel port support (udeb)
 parport-modules-3.2.0-3-sh7785lcr-di - Parallel port support (udeb)
 pata-modules-3.2.0-3-486-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-686-pae-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-amd64-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-iop32x-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-itanium-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-parisc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-parisc-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-powerpc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-powerpc-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-sh7751r-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-sh7785lcr-di - PATA drivers (udeb)
 pata-modules-3.2.0-3-sparc64-di - PATA drivers (udeb)
 pcmcia-modules-3.2.0-3-486-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-3-686-pae-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-3-amd64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-3-itanium-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-3-powerpc64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-3-powerpc-di - Common PCMCIA drivers (udeb)
 pcmcia-storage-modules-3.2.0-3-486-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-3-686-pae-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-3-amd64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-3-powerpc64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-3-powerpc-di - PCMCIA storage drivers (udeb)
 plip-modules-3.2.0-3-486-di - PLIP drivers (udeb)
 plip-modules-3.2.0-3-686-pae-di - PLIP drivers (udeb)
 plip-modules-3.2.0-3-amd64-di - PLIP drivers (udeb)
 plip-modules-3.2.0-3-itanium-di - PLIP drivers (udeb)
 plip-modules-3.2.0-3-sparc64-di - PLIP drivers (udeb)
 ppp-modules-3.2.0-3-486-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-4kc-malta-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-686-pae-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-amd64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-amiga-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-atari-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-iop32x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-itanium-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-kirkwood-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-loongson-2f-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-mac-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-orion5x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-parisc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-parisc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-powerpc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-powerpc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-r5k-cobalt-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-sb1-bcm91250a-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-sh7751r-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-sh7785lcr-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-sparc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-3-versatile-di - PPP drivers (udeb)
 qnx4-modules-3.2.0-3-486-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-3-686-pae-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-3-amd64-di - QNX4 filesystem support (udeb)
 reiserfs-modules-3.2.0-3-486-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-4kc-malta-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-686-pae-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-amd64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-amiga-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-atari-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-iop32x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-itanium-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-kirkwood-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-loongson-2f-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-mac-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-mx5-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-orion5x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-powerpc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-powerpc-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-r4k-ip22-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-r5k-cobalt-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-r5k-ip32-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-sb1-bcm91250a-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-sh7751r-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-sh7785lcr-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-sparc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-3-versatile-di - Reiser filesystem support (udeb)
 rtc-modules-3.2.0-3-sb1-bcm91250a-di - RTC modules (udeb)
 sata-modules-3.2.0-3-486-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-4kc-malta-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-686-pae-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-amd64-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-iop32x-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-itanium-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-kirkwood-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-loongson-2f-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-orion5x-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-powerpc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-powerpc-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-sb1-bcm91250a-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-sh7751r-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-sh7785lcr-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-sparc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-3-versatile-di - SATA drivers (udeb)
 scsi-common-modules-3.2.0-3-486-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-3-686-pae-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-3-amd64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-3-powerpc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-3-powerpc-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-3-sb1-bcm91250a-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-3-sparc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-3-versatile-di - Very common SCSI drivers (udeb)
 scsi-core-modules-3.2.0-3-486-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-686-pae-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-amd64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-iop32x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-itanium-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-kirkwood-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-mx5-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-orion5x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-parisc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-parisc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-powerpc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-powerpc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-s390x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-sb1-bcm91250a-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-sh7751r-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-sh7785lcr-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-sparc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-3-versatile-di - Core SCSI subsystem (udeb)
 scsi-extra-modules-3.2.0-3-486-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-3-686-pae-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-3-amd64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-3-powerpc64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-3-powerpc-di - Uncommon SCSI drivers (udeb)
 scsi-modules-3.2.0-3-486-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-686-pae-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-amd64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-amiga-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-atari-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-itanium-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-mac-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-parisc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-parisc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-powerpc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-powerpc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-s390x-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-sb1-bcm91250a-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-3-sparc64-di - SCSI drivers (udeb)
 serial-modules-3.2.0-3-486-di - Serial drivers (udeb)
 serial-modules-3.2.0-3-686-pae-di - Serial drivers (udeb)
 serial-modules-3.2.0-3-amd64-di - Serial drivers (udeb)
 serial-modules-3.2.0-3-itanium-di - Serial drivers (udeb)
 serial-modules-3.2.0-3-powerpc64-di - Serial drivers (udeb)
 serial-modules-3.2.0-3-powerpc-di - Serial drivers (udeb)
 sn-modules-3.2.0-3-itanium-di - SN modules (udeb)
 sound-modules-3.2.0-3-486-di - sound support (udeb)
 sound-modules-3.2.0-3-686-pae-di - sound support (udeb)
 sound-modules-3.2.0-3-amd64-di - sound support (udeb)
 sound-modules-3.2.0-3-sh7751r-di - sound support (udeb)
 sound-modules-3.2.0-3-sh7785lcr-di - sound support (udeb)
 speakup-modules-3.2.0-3-486-di - speakup modules (udeb)
 speakup-modules-3.2.0-3-686-pae-di - speakup modules (udeb)
 speakup-modules-3.2.0-3-amd64-di - speakup modules (udeb)
 speakup-modules-3.2.0-3-sh7751r-di - speakup modules (udeb)
 speakup-modules-3.2.0-3-sh7785lcr-di - speakup modules (udeb)
 squashfs-modules-3.2.0-3-486-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-4kc-malta-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-686-pae-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-amd64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-amiga-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-atari-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-iop32x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-itanium-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-kirkwood-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-loongson-2f-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-mac-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-mx5-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-orion5x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-powerpc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-powerpc-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-r4k-ip22-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-r5k-cobalt-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-r5k-ip32-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-sb1-bcm91250a-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-sh7751r-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-sh7785lcr-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-sparc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-3-versatile-di - squashfs modules (udeb)
 udf-modules-3.2.0-3-486-di - UDF modules (udeb)
 udf-modules-3.2.0-3-4kc-malta-di - UDF modules (udeb)
 udf-modules-3.2.0-3-686-pae-di - UDF modules (udeb)
 udf-modules-3.2.0-3-amd64-di - UDF modules (udeb)
 udf-modules-3.2.0-3-amiga-di - UDF modules (udeb)
 udf-modules-3.2.0-3-atari-di - UDF modules (udeb)
 udf-modules-3.2.0-3-iop32x-di - UDF modules (udeb)
 udf-modules-3.2.0-3-itanium-di - UDF modules (udeb)
 udf-modules-3.2.0-3-kirkwood-di - UDF modules (udeb)
 udf-modules-3.2.0-3-loongson-2f-di - UDF modules (udeb)
 udf-modules-3.2.0-3-mac-di - UDF modules (udeb)
 udf-modules-3.2.0-3-mx5-di - UDF modules (udeb)
 udf-modules-3.2.0-3-orion5x-di - UDF modules (udeb)
 udf-modules-3.2.0-3-powerpc64-di - UDF modules (udeb)
 udf-modules-3.2.0-3-powerpc-di - UDF modules (udeb)
 udf-modules-3.2.0-3-r4k-ip22-di - UDF modules (udeb)
 udf-modules-3.2.0-3-r5k-ip32-di - UDF modules (udeb)
 udf-modules-3.2.0-3-sb1-bcm91250a-di - UDF modules (udeb)
 udf-modules-3.2.0-3-sh7751r-di - UDF modules (udeb)
 udf-modules-3.2.0-3-sh7785lcr-di - UDF modules (udeb)
 udf-modules-3.2.0-3-sparc64-di - UDF modules (udeb)
 udf-modules-3.2.0-3-versatile-di - UDF modules (udeb)
 ufs-modules-3.2.0-3-486-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-3-686-pae-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-3-amd64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-3-itanium-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-3-powerpc64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-3-powerpc-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-3-sh7751r-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-3-sh7785lcr-di - UFS filesystem support (udeb)
 uinput-modules-3.2.0-3-486-di - uinput support (udeb)
 uinput-modules-3.2.0-3-686-pae-di - uinput support (udeb)
 uinput-modules-3.2.0-3-amd64-di - uinput support (udeb)
 uinput-modules-3.2.0-3-itanium-di - uinput support (udeb)
 uinput-modules-3.2.0-3-kirkwood-di - uinput support (udeb)
 uinput-modules-3.2.0-3-mx5-di - uinput support (udeb)
 uinput-modules-3.2.0-3-powerpc64-di - uinput support (udeb)
 uinput-modules-3.2.0-3-powerpc-di - uinput support (udeb)
 usb-modules-3.2.0-3-486-di - USB support (udeb)
 usb-modules-3.2.0-3-4kc-malta-di - USB support (udeb)
 usb-modules-3.2.0-3-686-pae-di - USB support (udeb)
 usb-modules-3.2.0-3-amd64-di - USB support (udeb)
 usb-modules-3.2.0-3-iop32x-di - USB support (udeb)
 usb-modules-3.2.0-3-itanium-di - USB support (udeb)
 usb-modules-3.2.0-3-kirkwood-di - USB support (udeb)
 usb-modules-3.2.0-3-loongson-2f-di - USB support (udeb)
 usb-modules-3.2.0-3-orion5x-di - USB support (udeb)
 usb-modules-3.2.0-3-parisc64-di - USB support (udeb)
 usb-modules-3.2.0-3-parisc-di - USB support (udeb)
 usb-modules-3.2.0-3-powerpc64-di - USB support (udeb)
 usb-modules-3.2.0-3-powerpc-di - USB support (udeb)
 usb-modules-3.2.0-3-sb1-bcm91250a-di - USB support (udeb)
 usb-modules-3.2.0-3-sparc64-di - USB support (udeb)
 usb-modules-3.2.0-3-versatile-di - USB support (udeb)
 usb-serial-modules-3.2.0-3-486-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-3-686-pae-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-3-amd64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-3-iop32x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-3-kirkwood-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-3-orion5x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-3-powerpc64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-3-powerpc-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-3-sh7751r-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-3-sh7785lcr-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-3-versatile-di - USB serial drivers (udeb)
 usb-storage-modules-3.2.0-3-486-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-4kc-malta-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-686-pae-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-amd64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-iop32x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-itanium-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-kirkwood-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-loongson-2f-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-mx5-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-orion5x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-parisc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-parisc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-powerpc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-powerpc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-sb1-bcm91250a-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-sh7751r-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-sparc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-3-versatile-di - USB storage support (udeb)
 virtio-modules-3.2.0-3-486-di - virtio modules (udeb)
 virtio-modules-3.2.0-3-4kc-malta-di - virtio modules (udeb)
 virtio-modules-3.2.0-3-686-pae-di - virtio modules (udeb)
 virtio-modules-3.2.0-3-amd64-di - virtio modules (udeb)
 virtio-modules-3.2.0-3-loongson-2f-di - virtio modules (udeb)
 virtio-modules-3.2.0-3-powerpc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-3-powerpc-di - virtio modules (udeb)
 virtio-modules-3.2.0-3-s390x-di - virtio modules (udeb)
 virtio-modules-3.2.0-3-sh7751r-di - virtio modules (udeb)
 virtio-modules-3.2.0-3-sparc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-3-versatile-di - virtio modules (udeb)
 xen-linux-system-3.2.0-3-686-pae - Xen system with Linux 3.2 on modern PCs (meta-package)
 xen-linux-system-3.2.0-3-amd64 - Xen system with Linux 3.2 on 64-bit PCs (meta-package)
 xfs-modules-3.2.0-3-486-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-4kc-malta-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-686-pae-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-amd64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-itanium-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-loongson-2f-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-powerpc64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-powerpc-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-r4k-ip22-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-r5k-cobalt-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-r5k-ip32-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-s390x-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-sb1-bcm91250a-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-sh7751r-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-sh7785lcr-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-3-sparc64-di - XFS filesystem support (udeb)
 zlib-modules-3.2.0-3-486-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-4kc-malta-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-686-pae-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-amd64-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-amiga-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-atari-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-iop32x-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-itanium-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-loongson-2f-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-mac-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-orion5x-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-parisc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-parisc-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-powerpc-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-r4k-ip22-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-r5k-cobalt-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-r5k-ip32-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-sb1-bcm91250a-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-sh7751r-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-sh7785lcr-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-sparc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-3-versatile-di - zlib modules (udeb)
Changes: 
 linux (3.2.21-3) unstable; urgency=low
 .
   * driver core: remove __must_check from device_create_file
     (fixes FTBFS on sparc)
   * i2400m: Disable I2400M_SDIO; hardware did not reach production
   * apparmor: remove advertising the support of network rules from
     compat iface (Closes: #676515)
   * xen/netfront: teardown the device before unregistering it (Closes: #675190)
   * linux-{doc,manual,source,support}: Mark as capable of satisfying
     relations from foreign packages (Multi-Arch: foreign) (Closes: #679202)
Checksums-Sha1: 
 62188353c05c1bddada56cbb3d151e7ea26925ce 97441 linux_3.2.21-3.dsc
 688f38084f1e6b4d60d1b408315a5cfc2ec0e9b3 2132292 linux_3.2.21-3.debian.tar.xz
 7698ca65541410afc6abf73033221123eb495561 195148 linux-support-3.2.0-3_3.2.21-3_all.deb
 44d580b1d9d8b19a7f4c97dc326105eaf04a250d 6354744 linux-doc-3.2_3.2.21-3_all.deb
 4c1563d43d9102f1483a0b26708b54dc3e19e109 2920958 linux-manual-3.2_3.2.21-3_all.deb
 b08ab92c617a0e38223f635624a373815b31ee53 76988664 linux-source-3.2_3.2.21-3_all.deb
Checksums-Sha256: 
 6a3989d92972aa8366601616f6db469b036f855ff0f6ad78ebda839f8060a90d 97441 linux_3.2.21-3.dsc
 013418d58794d2aee0e29243498414b11596be21d1f40a69516468e4ddbbdc6e 2132292 linux_3.2.21-3.debian.tar.xz
 1491984e75bb5a7d1fa3d2e1d7997634ab6288f55a1c0babaf02eb324ba5c4e0 195148 linux-support-3.2.0-3_3.2.21-3_all.deb
 e6328ef127c036ac9de598052083228a631cab053bcd51d627a5f525ce418351 6354744 linux-doc-3.2_3.2.21-3_all.deb
 5e9b649c347c5b49ab3a3f0ead2e917f5148361efaf79f0457f74ff22ce6471b 2920958 linux-manual-3.2_3.2.21-3_all.deb
 611478f6a02ab1007a41e959296697de2638d66140ed360e70d59e5aaa0ddb7c 76988664 linux-source-3.2_3.2.21-3_all.deb
Files: 
 147ea503e920238fc469f95660dff71d 97441 kernel optional linux_3.2.21-3.dsc
 634f3fd72db20781b074f4b16657a1a5 2132292 kernel optional linux_3.2.21-3.debian.tar.xz
 0c60009cf38e8e26ac223cf38ff72fa1 195148 devel optional linux-support-3.2.0-3_3.2.21-3_all.deb
 b46db38ff18d72623a5bd43f7851402f 6354744 doc optional linux-doc-3.2_3.2.21-3_all.deb
 1a20d0fc908e3adc17d35897da7c7f1e 2920958 doc optional linux-manual-3.2_3.2.21-3_all.deb
 2166ea4f18a8ccbc044817190678626f 76988664 kernel optional linux-source-3.2_3.2.21-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT+v53Oe/yOyVhhEJAQp6gxAAoI2KwNYUeu9FgeoD66MlsD0bSoDzQjlL
Nys0xjJlv0z0dHPxxjny5pWjN2cJgUVqejvs/eqXnsAfrrLeN2XyW5F7iIv3+d3X
m8kOXTRtM9JAre/TGU2xM9sOiKHRcmc6rxpL53JHz5e7a+NJcpkjwbVgTbKa6XpK
wB0NC/e/MXylUR9sTlrh4yKlD4QK/+8nTdToCXJoij895SatAp0i1YFBiPZlCXkG
fVSYW4mtVq5YabWAyLQU0TryxMQR0NNWR9jK6bBlfnxaSDGAAWTIOkiMQxQt4HYQ
jMqHVYuQCIpF6xUATOGJRPxu5TsaTmEztuizvA6oGOQ3lGhMHCiEtT3/FNg0fSXQ
M91j1T6bmZRGZ7IYbYqAEsLaFEtYIVlETGmUuzKmGrFRRPVJLqlCNLqKIvcm3NKE
oCGBnMD/sQYr+xFL3Tq57IWYGqI8CNdTZkVnpPSUD97e9A95Ib0fzWBKDVljHb1V
VL+t2zxbvd9JhZTmrij/aUWjflcqlSGyievnbFcqIh1SmZ2fdIZXi1//1GQv5f6A
v3tJVKjFbHYmJhMWzHeeCRiBmtky5Z9WOcVhEzm01Vk03XPmDYZzBU4OO2jJXPd2
6vtfXp8mzDEgouxu48xn0OkkN6UNPGxCjcyGX0XKardke983GXLFursbUaYKt8cM
/wsF2WAywx0=
=kQCl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Jul 2012 07:26:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:56:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.